Welcome

Navigation: »No topics above this level«

Welcome to the CaseMap Server Answer Center!
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The CaseMap® Server Answer Center brings together in one place helpful topics and useful information on CaseMap and TextMap SQL versions, and the CaseMap SharePoint Web Parts. Because the Answer Center is Web-based, we can dynamically update it with latest information. Get started quickly with the links below to popular topics and additional resources, or locate information in the Answer Center by using the Contents, Index, and Search tabs to the left.

· What's New in Version 1.9
· About CaseMap Server
· Registering CaseMap Servers
· Registering SQL Servers
· About SQL cases
· About roles and users
· About migrating cases
· About CaseMap SharePoint Web Parts

· Sending us feedback
· Finding what you need in the Answer Center

· User Guides
· Release Notes
· Litigation Solutions Answer Center Portal

· CaseMap Suite Webinar Center
· Introduction to CaseMap & TimeMap
· The A-B-Cs of LexisNexis CaseMap

· LexisNexis University
· Email Litigation Solutions Training
· Phone: 800-227-9597 ext. 1252111

CaseMap Orientation

TextMap 5 Case Study

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.

Copyright © 2015 LexisNexis. All rights reserved.


Finding what you need in the Answer Center
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

CaseMap Server Answer Center Tutorial

(Coming Soon)

How to use thumbnail images in the Answer Center

As you explore topics in the CaseMap Server Answer Center, you will come across small thumbnail images. These small images represent either a screen shot or topic graphic. To make the Answer Center topics easier to read with minimal scrolling, most screen shots and topic graphics are presented as thumbnail images.

1. To enlarge a thumbnail image, just click on it!
2. Click it once more to reduce it back to its original size.

Try it! Click the image below to see it works:

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Sending us feedback
No contents entries on this page
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

To send the CaseMap Server Answer Center team feedback on a particular topic:

1. While in the topic, click the Menu button in the Answer Center toolbar, and then click Email Feedback.

An email window will appear that will identify the topic you are in.

2. Type in your feedback and comments about the topic and then click Send.

The email window is pre-addressed to the CaseMap Answer Center team and the topic you are in is referenced in the Subject line.

This is a great way to let us know if we need to add additional information to the topic, or whether the topic answered your question. In this way, we can continually improve the CaseMap Server Answer Center so you can always find the information you need.

To send the CaseMap Server Answer Center team feedback not relating to a specific topic, email us at: answercenterfeedback@lexisnexis.com

To contact the CaseMap Technical Support team, email: casemap.support@lexisnexis.com, or call 877-301-0344 between the hours of 9:00 a.m. to 9:00 p.m. EST, Monday - Friday.


About CaseMap Server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap® Server is a software product that provides secure, remote access to CaseMap and TextMap case databases over a Wide Area Network (WAN). CaseMap and TextMap can access the case databases just as if they were accessing them from a local drive or server — there is no learning curve for case staff and generally all features work the same.

The centralized CaseMap Server offers remote access from within the WAN and the installed CaseMap and TextMap software within the Local Area Network (LAN).

CaseMap v9.0+ is required to access databases from CaseMap Server v1.0+. TextMap v6.0+ is required to access databases from CaseMap Server v1.5. CaseMap and TextMap licenses are separate from CaseMap Server.

CaseMap SQL Architecture Diagram

The above diagram shows a fictitious large organization with a WAN that spreads across multiple large offices as well as small satellite offices and VPN users. Each large office supports many users and may have its own dedicated Microsoft® SQL Server®. The main office houses the CaseMap Server application and the CaseMap and/or TextMap administration databases. CaseMap and TextMap users in each office have LAN or WAN access to the CaseMap Server and can potentially access case databases that are stored on any SQL Server within the organization.

The above diagram shows how CaseMap connects to CaseMap Server. TextMap connects to the CaseMap Server in a similar manner.

CaseMap Server components include:

· CaseMap Server — Each organization requires only one CaseMap Server, which needs to be accessible to all CaseMap and TextMap users in the organization. The CaseMap Server should not be accessible outside of the organization (via the Internet). The CaseMap and TextMap desktop applications will always connect to the CaseMap Server to authenticate and gain access to available SQL case databases.
· CaseMap Admin SQL Server database — Each organization requires one CaseMap administrator database, which is used to store all settings such as users, case files, database servers, preferences, etc. The CaseMap Server will be the only component to interact with the administrator database and will require SQL Server read/write access to it.
· CaseMap Admin Console — This is the Windows user interface to the CaseMap Server. The CaseMap Admin Console allows you to perform CaseMap and TextMap administrative functions such as creating and registering SQL databases and case files, managing users, and export case databases to create replica copies.
· CaseMap Client — The CaseMap software application is used by case staff. CaseMap logs in to the CaseMap Server to get information on cases and then connects directly to a SQL Server to access a case. CaseMap also retains the optional ability to create cases in Microsoft Access databases.
· TextMap Client — The TextMap software application is used by case staff. TextMap logs in to the CaseMap Server to get information on cases and then connects directly to a SQL Server to access a case. TextMap also retains the optional ability to create cases in Microsoft Access databases.
· CaseMap Case File Databases — Case file databases can be stored on any SQL Server inside the organization. Proximity and network speed will affect performance of the desktop application. Case databases saved in Microsoft Access databases can be stored on a shared network directory folder for case staff to access the file.
· TextMap Case File Databases — Case file databases can be stored on any SQL Server inside the organization. Proximity and network speed will affect performance of the desktop application. Case databases saved in Microsoft Access databases can be stored on a shared network directory folder for case staff to access the file.

CaseMap Server is server class software and requires a powerful, designated server to ensure that performance is optimal. When implementing CaseMap Server, we recommend that you invest in as many SQL Servers as needed for optimal performance throughout your organization (that meet or exceed what is stated in the system requirements).

Installation involves the following processes:

· Installing CaseMap Server
· Installing the CaseMap Admin Console
· Installing the CaseMap SQL Import Utility (optional for clients migrating existing CaseMap local cases to SQL cases)
· Installing the CaseMap or TextMap client application
· Testing with sample databases
· Verifying connectivity

Related Topics

What's New in Version 1.9

Accessing the CaseMap Admin Console

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


What's New in Version 1.9
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

For more information on previous CaseMap Server and CaseMap Admin Console releases, please see the Release Notes.

Create CaseMap 11 SQL cases

Create CaseMap v11 SQL cases in the CaseMap Admin Console, in addition to creating CaseMap v9 and CaseMap v10 SQL cases. The SQL Cases pane displays the case type and version number for each case.

For more information, see Creating SQL cases.
Export local cases using the Admin Console

You can create and export a copy of a CaseMap 11 SQL case from the CaseMap Server Admin Console.

For more information, see Exporting a copy of a SQL case.

Related Topics

About CaseMap Server

System requirements

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Release Notes
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

CaseMap Server Release Notes

Related Topics

User Guides

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


System requirements
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Please review the current system requirements for setup considerations and suggestions. Review each section in advance before making expensive hardware and network decisions that may not be in line with LexisNexis CaseMap or TextMap recommendations.

Please keep informed of CaseMap Server, CaseMap Admin Console, and CaseMap SQL Import Utility release updates and how they impact your system by contacting your CaseMap Sales or Support Representative.

When setting up users for local cases, ensure that all users have full network access to each case directory they need to access. When setting up users for SQL cases in the CaseMap Admin Console, ensure that users are assigned appropriate roles and assigned to the cases they need access.

CaseMap Server v1.9

CaseMap Server is a Windows® .NET Windows Communications Foundation (WCF) Web service that authenticates CaseMap users and is used to store or retrieve data from the admin database. CaseMap Server must be installed on a local hard drive. You must be logged on with admin rights to install CaseMap Server.

· 2 GHz or faster 32-bit (x86) or 64-bit (x64) processor
· 2 GB of RAM or greater
· Approximately 100 MB of free disk space on the system drive
· Super VGA (800 x 600) or higher-resolution monitor with 256 colors
· Any of the following versions of Microsoft Windows®:

Microsoft Windows 2003 Server® 64-bit

Microsoft Windows 2008 Server® 64-bit

· Any of the following versions of Microsoft Internet Information Server®

Microsoft Windows Microsoft IIS 6.0® 32 and 64-bit

Microsoft Windows Microsoft IIS 7.0® 32 and 64-bit

· Microsoft .NET Framework v3.5 and above

The CaseMap Server requires CaseMap SQL case databases to reside in Microsoft SQL Server 2005, Service Pack 2 or higher, SQL Server 2008, or SQL Server 2012.

The CaseMap Server requires the admin database to reside in Microsoft SQL Server 2005 or SQL Server 2008. The installer will prompt you for SQL Server Credentials to create the admin database.

The CaseMap Server should only be accessible from within the secured network and any access to the CaseMap Server from Internet should be blocked.

The CaseMap Server runs under a service account that has privileges to perform LDAP queries against Active Directory and has read/write/execute permissions on the TextMap admin database.

The CaseMap Server has two web services: one for the TextMap client application and the other for the CaseMap Admin Console to use.

Admin Console Service Default URL: http://[Web_Server_Name]/CMServer/CMServerAdmin.svc

Client Application Service Default URL: http://[Web_Server_Name]/CMServer/CMServerClient.svc

CaseMap Admin Console v1.9

The CaseMap Admin Console is the Windows desktop application providing access to the CaseMap Server Web Service. Install the CaseMap Admin Console to the Microsoft Windows desktop of any user who will administer TextMap SQL cases and other users.

The CaseMap Admin Console must be installed and run on a local hard drive. The CaseMap Admin Console can not be run from a network server. CaseMap Admin Console data is stored on an Admin Database residing in a Microsoft® SQL Server® database. You must be logged on with Admin rights to install the CaseMap Admin Console.

· 1 GHz or faster 32-bit (x86) or 64-bit (x64) processor
· 1 GB RAM (32-bit) or 2 GB RAM (64-bit)
· Approximately 30 MB of free disk space on the system drive
· Super VGA (800 x 600) or higher-resolution monitor with 256 colors
· Any of the following versions of Microsoft Windows®:

Microsoft Windows XP Professional or Home®

Microsoft Windows 2003 Server®

Microsoft Windows Vista®

Microsoft Windows 2008 Server®

Microsoft Windows 2012 Server®

Microsoft Windows Vista®

Microsoft Windows 7®

Microsoft Windows 8®

When prompted to enter URL for CaseMap Server (optional), please enter an URL ending with CMServerAdmin.svc. CaseMap Server is required to administer TextMap SQL cases and respective users.

CaseMap SQL Import Utility v11

The CaseMap SQL Import Utility is an administrative tool used to migrate existing case file databases from Microsoft Access to Microsoft SQL Server. The CaseMap SQL Import Utility must be installed and run on a local hard drive. The CaseMap SQL Import Utility cannot be run from a network server. You must be logged on with admin rights to install the CaseMap SQL Import Utility.

Each CaseMap case requires a distinct SQL database. After you import an Access case into a SQL Server database, use the CaseMap Admin Console to register the case and then assign it to users.

· 1 GHz or faster 32-bit (x86) or 64-bit (x64) processor
· 1 GB RAM (32-bit) or 2 GB RAM (64-bit)
· Approximately 30 MB of free disk space on the system drive
· Super VGA (800 x 600) or higher-resolution monitor with 256 colors
· Any of the following versions of Microsoft Windows®:

Microsoft Windows XP Professional or Home®

Microsoft Windows 2003 Server®

Microsoft Windows 2008 Server®

Microsoft Windows Vista®

Microsoft Windows 7®
Review Additional Recommendations

Review the following for additional information regarding recommendations.

Calculating user capacity

Network connection speed, network traffic, database size, and other items may be a factor when evaluating performance. To maximize performance, the user capacity of the CaseMap Server is metered by the hardware. A Pentium CPU will support 25 users. A Xeon or Pentium Hyper Threaded (HT) CPU will support 50 users. Multiple CPU capacity for dual and quad CPU servers. Server capacity is also limited by bandwidth on your LAN and WAN, as well as file server speed.
Web Servers

The CaseMap Server requires a Microsoft Internet Information Server (IIS) v6.0 or v7.0 Web server. If you are installing CaseMap Server on an IIS 6 server, you will need to ensure that aspnet_isapi.dll is allowed.

The application pool identity must be configured for IIS by running the aspnet_regiis utility. You can do this from the command line (running as Administrator).

Administrator Command Prompt

It must also hold the Log On As Service right in the LSA.

Local Security Policy > Log on as a server Properties

The CaseMap Server should only be accessible inside your protected network and requires installation to a single Windows® Server 2003 or 2008. You should not allow access to the CaseMap Server from the Internet.

Please use standard configurations for an IIS web server. The CaseMap Server web services will use the ports that are assigned to its parent Web site in IIS. However, CaseMap and the CaseMap Admin Console expect the CaseMap Server to be on port 80 for HTTP or 443 for SSL.

CaseMap Server supports SSL encryption. It is recommended that you require SSL connections to the CaseMap Server's parent Web site.

Configure the WebConfig file to support SSL

If the hosting web site of the CaseMap Server does not have an SSL binding in Microsoft IIS, the SSL endpoints will need to be modified.

To enable support for SSL

For your convenience, we have already included the necessary elements in the web.config to support SSL. However, these configuration values are commented by default. To enable support for SSL, you will need to uncomment some values in the Web.config file.

1. Locate the following:

<!-- SSL Support

<bindings>

<basicHttpBinding>

<binding name="SecurityByTransport">

<security mode="Transport">

<transport clientCredentialType="None"/>

</security>

</binding>

</basicHttpBinding>

</bindings>

->

2. Change Step 1 to the following:

<!-- SSL Support -->

<bindings>

<basicHttpBinding>

<binding name="SecurityByTransport">

<security mode="Transport">

<transport clientCredentialType="None"/>

</security>

</binding>

</basicHttpBinding>

</bindings>

3. Next locate the following:

<!-- SSL Endpoint

<endpoint address ="" binding="basicHttpBinding" bindingConfiguration="SecurityByTransport" contract="LexisNexis. CMServer.WebServices.ICMServerClient"/>

-->

4. Change Step 3 to the following:

<!-- SSL Endpoint -->

<endpoint address ="" binding="basicHttpBinding" bindingConfiguration="SecurityByTransport" contract="LexisNexis. CMServer.WebServices.ICMServerClient"/>

5. Now locate the following:

<!-- SSL Endpoint

<endpoint address ="" binding="basicHttpBinding" bindingConfiguration="SecurityByTransport" contract="LexisNexis. CMServer.WebServices.ICMServerAdmin"/>

-->

6. Change Step 5 to the following:

<!-- SSL Endpoint -->

<endpoint address ="" binding="basicHttpBinding" bindingConfiguration="SecurityByTransport" contract="LexisNexis. CMServer.WebServices.ICMServerAdmin"/>
To enable support for debugging

To enable support for debugging, you will need to uncomment some values in the Web.config file.

1. Locate the following text:

<!-- Debugging Support

<compilation debug="true"/>

<customErrors mode="Off">

-->

2. Change the text in Step 1 to the following:

<!-- Debugging Support -->

<compilation debug="true"/>

<customErrors mode="Off">

Authentication Types

Windows Authentication logons can be used by the CaseMap Server, making user administration easy and fully integrated with your existing network policies. CaseMap Server reuses Windows credentials to authenticate a user. Once a user logs on to Windows, CaseMap Server can use that same log on so that a user does not need to re-specify their credentials.

CaseMap Server with Active Directory can be used to verify users' logons and passwords. Logons are checked with Windows Security Controller. Setting this up helps ensure conformation with password policies.

CaseMap Server has two authentication type options:

· Windows Authentication (External by LDAP) — Authentication by Lightweight Directory Access Protocol (Active Directory) for accessing SQL cases in CaseMap Server.
· Simple Authentication — CaseMap handles authentication for accessing cases.

When using Windows Authentication, you will need to first set up users in the Active Directory and then add the user name to the CaseMap Admin Console. When using Windows authentication, it is important that user names match in both the Active Directory and the CaseMap Admin Console.

Related Topics

About CaseMap Server

Installing CaseMap Server

Installing CaseMap Admin Console

Installing the CaseMap SQL Import Utility


Configuring SQL Server for CaseMap Server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Before you install the CaseMap Server, you need to create an admin database and login account in Microsoft SQL Server.

Any time you uninstall/reinstall CaseMap Server, you will need to create a new admin database and login accounts in SQL Server Management Studio.

To configure SQL Server for CaseMap Server
1. Open Microsoft SQL Server.
2. Connect to the database engine using a system administrator account on the server that will contain the CaseMap Server admin database.
3. In Object Explorer, right-click on the Databases folder and click New Database.
4. In the New Database dialog box, type in the name of the admin database in the Database Name field, then click OK.
5. In the Object Explorer pane, expand the Security folder, and then expand the Logins folder.
6. Right-click on Logins folder and click New Login.
7. In the Login - New dialog box, type in the login name in the Login name field.
8. Select the authentication type you want to use: Windows or SQL.

If you choose SQL, then type in a password and confirm it.

If you choose Windows Authentication, the login name must be the same account used for Anonymous Authentication by the CaseMap Server.

9. In the Default database field, select the admin database you created.
10. Click OK to continue.

You are now ready to install CaseMap Server.

Related Topics

About CaseMap Server

Installing CaseMap Server

Registering SQL Servers

Configuring SQL Server for CaseMap templates


Configuring SQL Server Service Broker
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Service Broker must be enabled in Microsoft® SQL Server for databases created when new TextMap SQL cases are created or registered in the CaseMap Admin Console. Enabling Service Broker ensures indexing success when transcripts are imported into a SQL case file. If Service Broker is disabled, indexing and re-indexing will not occur during import or case creation.

When new TextMap SQL cases are created, the new case will have Service Broker enabled. However, if a database administrator restores a SQL database, the restored SQL database will have Server Broker disabled. After a SQL database is restored from a backup, database administrators need to enable Service Broker for the database.

To check the status of Service Broker

SELECT is_broker_enabled FROM sys.databases WHERE name = 'Database name'

A value of 0 indicates it is off, 1 is on.
To enable Service Broker

Alter Database [DB_NAME] Set ENABLE_BROKER

Related Topics

System requirements

Configuring SQL Server for CaseMap Server


Configuring SQL Server for CaseMap templates
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If you want to create CaseMap SQL cases from existing CaseMap SQL templates, you need to configure SQL Server in order for this to work successfully.

To configure SQL Server 2005 for CaseMap templates
1. Open Microsoft SQL Server 2005.
2. Click Configuration Tools.
3. Click SQL Server Surface Area Configuration.
4. In the SQL Server 2005 Surface Area Configuration dialog box, click Surface Area Configuration for Features.

SQL Server 2005 Surface Area Configuration

5. In the Surface Area Configuration for Features dialog box, click to expand Database engine.

Surface Area Configuration for Features

6. Click Ad Hoc Remote Queries.
7. Select the Enable OPENBROWSE and OPENDATASOURCE support check box, then click OK.
To configure SQL Server 2008 for CaseMap templates
1. Open Microsoft SQL Server Management Studio 2008.
2. Logon to SQL Server Server Management Studio.
3. In the Object Explorer pane, right-click on the server name (root node).

Object Explorer pane > Facets

4. Click the Facets option.
5. In the Facet drop-down listing, click Surface Area Configuration.

6. In the View Facets box, click in the right column for AdHocRemoteQueriesEnablednow until it displays True.
7. Click OK.

Related Topics

Configuring SQL Server for CaseMap Server

Creating SQL cases from CaseMap templates


Installing CaseMap Server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Install the CaseMap Server to Windows® Server 2003 or 2008 inside your WAN. The CaseMap Server requires a Microsoft SQL Server 2005, SQL Server 2008, or SQL Server 2012 admin database. Creating the admin database manually is optional. If the admin database is already created, then the installer will configure it. Otherwise, the installer will create and configure the admin database. We recommend that you install the SQL Server admin database on a different machine than that of the Microsoft IIS web server.

The CaseMap Server Web Service has two web services:

· CaseMap or TextMap Client (default URL) — http://[Web_Server_Name]/CMServer/CMServerClient.svc
· CaseMap Admin Console (default URL) — http://[Web_Server_Name]/CMServer/CMServerAdmin.svc

The CaseMap Server is a collection of .NET WCF Web services that should only be available inside your WAN. You should block access to the CaseMap Server on the Internet.

If you use Active Directory authentication for CaseMap/TextMap users, then CaseMap Server requires Microsoft Windows service account that has privileges to perform LDAP queries against Active Directory. An account without these privileges is not able to authenticate users. We recommend you set up a special account just for this purpose and assign it a permanent password.

To install CaseMap Server
1. Click on the CMServer19Setup.exe file to launch the CaseMap Server install utility.

CaseMap server InstallShield

2. When the utility launches, click Next.
3. In the License Agreement dialog box, review the license agreement and select the I accept the terms in the license agreement option.

CaseNap Server License Agreement

4. Optional: Click the Print button if you would like a copy of the license agreement printed at this time.
5. Click Next to continue.
6. In the Information dialog box, review important installation information.

Install CaseMap Server > Information

7. Click Next to open the Service Account Information dialog box.

Install CaseMap Server > Service Account Information

8. In the User Name field, type in the user account for the IIS application pool.
9. In the Password field, type in the user account password.

We recommend that you set the service account password to never expire.

10. Click Next to open the Create CaseMap Server Admin Database dialog box.

Install CaseMap Server > Create CaseMap Server Admin Database

11. In the SQL Server that you are install to field, type in the server name.
12. In the Connect using area, select the authentication type you are using: Windows or SQL.

If you are using SQL Authentication, type in a user name and password.

13. In the SQL database name field, type in the admin database name.
14. Click Next to open the CaseMap Server Admin Database Connection Information dialog box.

Install CaseMap Server > Admin Database Connection Information

15. In the Connect using area, select the authentication type you want to use: Windows or SQL.

If you are using SQL Authentication, type in a user name and password.

Refer to Step 7 in Configuring SQL for CaseMap Server.

16. Click Next to open the Select the web site dialog box.

Install CaseMap Server > Select a Web Site

17. In the Web site field, type in the Web site you want to use.
18. In the Application name field, type in the server name.
19. Click Next to open the Organization Name dialog box.

Install CaseMap Server > Organization Name

20. In the Organization or firm name field, type in the organization or firm name.
21. Click Next to continue.
22. In the Destination Folder dialog box, click Next to install to this folder or click Change to locate another directory folder.

Install CaseMap Server > Destination Folder

23. Click to Next to continue.
24. In the Ready to Install the Program dialog box, click Install.

Install CaseMap Server > Install Program

The installation wizard will install the CaseMap Server files.

25. When the InstallShield Wizard Complete dialog box displays, click Finish.

Install CaseMap Server > Finish

The CaseMap Server is now installed in the directory you specified.

You can now install the CaseMap Admin Console.

Related Topics

About CaseMap Server

Configuring SQL for CaseMap Server

Installing CaseMap Admin Console

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Automating the client connection with the CaseMap Server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Using command line parameters, you can automate the log on process for CaseMap and TextMap when using Windows Authentication. The command line setup can also be used in conjunction with the option to open SQL cases. See Opening SQL cases from the command line.

When the automatic logon option is specified, the client applications will display a Connect to CaseMap Server dialog box. If the logon succeeds, an attempt is made to open a SQL case if the "SQLCaseName" and "SQLCaseID" parameters are specified, otherwise a Browse for SQL Cases dialog box displays for the user to select which assigned case to open.

If the user's CaseMap or TextMap client application is not in SQL mode or if there are no registered CaseMap Servers, the user will not be able to connect.

If there is more than one registered CaseMap Server, then an attempt is made to use the last used server. If there is no last used server, an attempt is made to use the first server listed in alphabetical order.

To enter command line parameters

The following command line parameters facilitate Windows authentication for log on to the CaseMap Server.

CaseMap

"[PATH]\CaseMap.exe" /AutoLogOn

To use this parameter in conjunction with the "SQLCaseName" or "SQLCaseID" parameters, use the following:

"[PATH]\CaseMap.exe" /SQLCaseName "[SQL_CASE_NAME]" /AutoLogOn

"[PATH]\CaseMap.exe" /SQLCaseID "[SQL_CASE_ID]" /AutoLogOn

TextMap

"[PATH]\TextMap.exe" /AutoLogOn

To use this parameter in conjunction with the "SQLCaseName" or "SQLCaseID" parameters, use the following:

"[PATH]\TextMap.exe" /SQLCaseName "[SQL_CASE_NAME]" /AutoLogOn

"[PATH]\TextMap.exe" /SQLCaseID "[SQL_CASE_ID]" /AutoLogOn

Related Topics

Accessing the CaseMap Admin Console

Opening SQL cases from the command line

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Opening SQL cases from the command line
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap Server allows you to open CaseMap and TextMap SQL cases via command line support. You must first have case portal web pages set up where you can post hyperlinks to the SQL cases, in addition to any local cases or exported case data you want available such as a case issue list or cast of characters.

Case users can then create shortcuts on their desktops or save hyperlinks as Favorites in their Internet browser to open case file assigned to them. The CaseMap and TextMap applications will launch from the web portal page. You can determine options for whether the client application splash screen displays or whether a user logon is required before the case can be opened.

When a user launches CaseMap or TextMap and passes one of these two command line parameters, the client application will wait for the user to log into the CaseMap Server. After the user logs on to the CaseMap Server, the client application then attempts to automatically open the specified case.

If the user's CaseMap client application is not in SQL mode or the user has not successfully logged into the CaseMap Server, an error message displays to notify them. Does this also apply to TextMap?

If a case user is using a trial version of CaseMap or TextMap, and does not have trial time remaining, a message displays to notify them and offers an option to activate the client application.

To open a CaseMap SQL case from the command line

Use the following command line format to open a CaseMap SQL Case Name or SQL Case ID:

"[PATH]\CaseMap.exe" /SQLCaseName "[SQL_CASE_NAME]"

"[PATH]\CaseMap.exe" /SQLCaseID "[SQL_CASE_ID]"

CaseMap allows the user to pass a file name as the first parameter on the command line to open the file, e.g. "CaseMap.exe C:\Program Files\Microsoft SQL\Server\MSSQL\DATA\database.mdf". The file path and name must be the first parameter in the command line.

This can also be combined with "-nosplash" and "-nodlg", and the file name must be the first parameter on the command line.

Correct (suppresses the splash screen and opens the case file)

"CaseMap.exe C:\Program Files\Microsoft SQL\Server\MSSQL\DATA\database.mdf -nosplash"

Incorrect (suppresses the splash screen, but does not open the case file)

"CaseMap.exe -nosplash C:\Program Files\Microsoft SQL\Server\MSSQL\DATA\database.mdf"

To open a TextMap SQL case from the command line

Use the following command line format to open a TextMap SQL Case Name or SQL Case ID:

"[PATH]\TextMap.exe" /SQLCaseName "[SQL_CASE_NAME]"

"[PATH]\TextMap.exe" /SQLCaseID "[SQL_CASE_ID]"

Related Topics

Automating the client connection with the CaseMap Server

Accessing the CaseMap Admin Console

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Installing CaseMap Admin Console
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap Admin Console is the Windows desktop application providing user interface access for the CaseMap Server. Installation of the CaseMap Admin Console is fairly simple and done using an install wizard. Install the CaseMap Admin Console to the desktop of any user who will be administering CaseMap and TextMap cases and users. The CaseMap Admin Console supports both Windows and simple authentication.

The install utility will prompt you to enter the URL to the CaseMap Server. The URL should end with "CMServerAdmin.svc".

The CaseMap Server automatically creates a system administrator user with a default user name and password:

· User Name = sysadmin
· Password = password

Once you log into the CaseMap Admin Console for the first time using the sysadmin user account you can change the default password. The sysadmin password can be modified by clicking Tools > Options.

After installing the CaseMap Admin Console, you can register one or more SQL Servers inside your organization that will host your CaseMap or TextMap SQL cases.

Once databases are registered, you can then set up the following users:

· CaseMap or TextMap client users who need access to SQL cases
· CaseMap Admin Console users who can administer cases and users

The CaseMap Admin Console is the only place you can create new CaseMap or TextMap SQL cases. Once the case is created, you can assign it to users with local or Active Directory type authentication. Use the CaseMap SQL Import Utility or the Import Local Cases Utility to migrate existing case files from the Access database format to the SQL database format. See About migrating cases.

To install the CaseMap Admin Console
1. Click on the CMAdmin19Setup.exe file to launch the CaseMap Admin Console install utility.
2. When the InstallShield Wizard launches, click Next.

Install CaseMap Admin Console > Welcome

3. In the License Agreement box, select the I accept the terms of the license agreement.

Install Admin Console > License Agreement

4. Click the Print button to print a copy of the license agreement, then click Next.
5. In the Information dialog box, review the important installation information, then click Next.

Install CaseMap Admin Console > Information

6. In the Name field of the Default CaseMap Server dialog box, type in the CaseMap Server name.

Install CaseMap Admin Console > Default CaseMap Server

7. In the URL field, type in the Server URL, then click Next.
8. In the Choose Destination Location dialog box, verify whether the default destination folder is the appropriate location.

Install CaseMap Admin Console > Destination Location

The default folder is C:\Program Files\CaseSoft\CaseMap Admin Console.

Click the Browse button to change the destination folder and choose a different folder.

9. Click Next to continue.
10. In the Start Copying Files dialog box, review the current install settings, then click Next.

Install CaseMap Admin Console > Start Copying Files

If you want to modify any settings, click the Back button.

11. In the InstallShield Wizard Complete dialog box, select the Launch the CaseMap SQL Admin Console check box.

Select the View the ReadMe File check box if you want to review the file.

Install CaseMap Admin Console > Finish

12. Click Finish.

The CaseMap Admin Console automatically launches and is ready for you to register a CaseMap Server.

13. In the Connect to CaseMap Server dialog box, select Local User.

Connect to CaseMap Server

14. In the User Name field, type sysadmin.
15. In the Password field, type in password.
16. Click Connect to continue.
17. In the CaseMap Admin Console, click the Click here to activate now hyperlink.

CaseMap Admin Console > Activate

18. In the CaseMap Admin Console Software Activation dialog box, click Next to open the Enter your registration information dialog box.

CaseMap Admin Console Software Activation > Welcome

19. In the Registration Name field, type in your user name for license registration.

CaseMap Admin Console > Registration Information

20. In the Registration ID field, type in your registration ID.
21. In the Product ID field, type in the TextMap license number.
22. Click Next to continue.
23. In the Read the LexisNexis License Agreement dialog box, read the license agreement and then select the Yes, I will abide by the LexisNexis License Agreement check box.

CaseMap Admin Console > License Agreement

24. Click Next to continue.
25. In the How do you want to activate this product dialog box, select the activation option you want to use.
· Activate software online — Use this option to activate online with an active internet connection.
· Activate by web browser or phone — Use this option if you received an activation key via email.
26. Click Next to continue.
27. In the Summary of online activation transmission information dialog box, review the license registration information.
28. Click Finish to complete the activation.
29. In the message box confirming CaseMap Admin Console activation, click OK.
30. In the CaseMap Admin Console, click the Connect button.

Connect to CaseMap Server

31. In the Connect to CaseMap Server dialog box, select Local User.
32. In the User Name field, type sysadmin.
33. In the Password field, type in password.
34. Click Connect to continue.

The CaseMap Admin Console now opens with a connection to the registered server.

You can now install the CaseMap SQL Import Utility program, if you plan on migrating existing CaseMap local cases to the CaseMap Server.

Related Topics

About CaseMap Server

Installing CaseMap Server

Installing the CaseMap SQL Import Utility


Installing the CaseMap SQL Import Utility
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SQL Import Utility is designed to help you migrate pre-existing cases to CaseMap Server. This utility converts local cases created in CaseMap that are in an Access database format and creates new SQL cases in a SQL Server database format. Each CaseMap case requires a distinct SQL Server database.

After you import an Access case into a SQL Server database, use the CaseMap Admin Console to register the case database and then assign it to users. Once a local case is converted to the new version format, users can no longer access it in older versions of CaseMap.

The utility program will install to C:\Program Files\CaseSoft\CaseMap SQL Import. No local machine registry settings are required.

How to install the CaseMap SQL Import Utility
1. Click on the CM11SQLImportSetup.exe file to launch the CaseMap SQL Import utility.
2. When the import wizard launches, click Next.

CaseMap SQL Import Utility > Welcome

3. In the License Agreement dialog box, review the license agreement and then select I accept the terms of the license agreement.

If you would like to print a copy of the license agreement at this time, click the Print button.

CaseMap SQL Import Utility > License Agreement

4. Click Next to continue.
5. In the Information dialog box, review installation information, then click Next.

CaseMap SQL Import Utility > Information

6. In the Choose Destination Location dialog box, verify whether the default destination folder is the appropriate location.

CaseMap SQL Import Utility > Choose Destination Location

The default folder is C:\Program Files\CaseSoft\CaseMap 11 SQL Import\.

Click the Browse button to change the destination folder and choose a different folder.

7. Click Next to continue.
8. In the Start Copying Files dialog box, review the current install settings, then click Next.

CaseMap SQL Import Utility > Ready to Install the Program

If you want to modify any settings, click the Back button.

9. In the Installshield Wizard Complete dialog box, verify that the Launch CaseMap SQL Import Utility check box is selected.

CaseMap SQL Import Utility > Installshield Wizard Complete

10. Select the View the ReadMe File check box if you want to review the file at this time.
11. Click Finish to continue.
12. When the CaseMap SQL Import Utility launches, click Close at this time.

CaseMap SQL Import Utility

When you are ready to migrate existing cases to the CaseMap Server, the LexisNexis CaseMap SQL Import Utility dialog box displays. See About migrating cases.

Related Topics

About CaseMap Server

Installing CaseMap Server

About migrating cases

Registering existing SQL cases

Mapping case users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Testing installation
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

CaseMap and TextMap need to be installed before you can open the SQL case in either application.

Testing installation involves:

· Opening the CaseMap Admin Console and connecting to the CaseMap Server
· Opening a SQL case in the CaseMap or TextMap client

To test connectivity in the CaseMap Administration Console
1. Launch the CaseMap Admin Console.
2. In the Connect to CaseMap Server dialog box, type in or select the server you want to connect to in the Server Name field.

Connect to CaseMap Server

3. In the Authentication area, select the authentication method you want to use: Windows Authentication or Local User.

If you select Local User, type in the User Name and Password.

4. Click Connect.

You can now view the CaseMap Admin Console where you can register and publish cases, add users, etc.
To open a SQL case file
1. Launch either CaseMap or TextMap.
2. On the File menu, click Open SQL Case.
3. In the Select a SQL Case to Open dialog box, select the SQL case you want to use, then click Open.

Select a SQL Case to Open

4. Verify that the case name displays in the upper left corner of application's title bar.
· CaseMap — If you can view case records in spreadsheets and open an attached file, the installation was successful.
· TextMap — If you can view transcripts and open an attached file, the installation was successful.

Related Topics

Verifying connectivity

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Verifying connectivity
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Reference the Connectivity Checklist to ensure that you have completed all necessary steps to ensure connectivity channels for SQL servers, SQL cases, and users.

To verify connectivity

Checklist: Connectivity
 | Task
 | Servers
checkbox | Is CaseMap Server installed?
checkbox | Is the CaseMap Administration Console installed?
checkbox | Did you remember to set up an admin database and a valid system administrator account in SQL Management Studio first?
 | Case Files
checkbox | Did you register your cases in the CaseMap Administration Console?
checkbox | Did you associate your cases to SQL Servers so that CaseMap/TextMap can access it?
checkbox | Have you implemented the necessary Web server address restrictions?
 | Users
checkbox | Have you set up and enabled user accounts in the CaseMap Admin Console?
checkbox | Does each user have a valid user ID and password, and does it match for Active Directory?
checkbox | Have you assigned user accounts to roles and SQL cases?
checkbox | Do you have a CaseMap/TextMap license for each user who need to access cases?
checkbox | Have you installed CaseMap/TextMap locally for each user?

Related Topics

Testing installation

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Accessing the CaseMap Admin Console
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can install the CaseMap Admin Console on any computer with an Internet connection to manage the CaseMap Server. When you try to connect to the CaseMap Server, you are prompted to select a CaseMap Server and enter logon credentials.

You will not be able to connect to a CaseMap 1.9 server using an older version of the CaseMap Admin Console (version 1.8 or earlier).

To log on to the CaseMap Admin Console
1. Double-click on the LexisNexis CaseMap Admin Console icon.

LexisNexis CaseMap Admin Console

2. In the Connect to CaseMap Server dialog box, select the server you want to use in the Server Name field listing.

Connect to CaseMap Server

3. Select the authentication type you want to use: Windows Authentication or Local User.

If you select Local User, type in a user name and password.

4. Click Connect to connect to the CaseMap Admin Console.

The CaseMap Admin Console now opens to display registered SQL Servers and SQL cases, in addition to the users and roles that can create or are assigned to SQL cases.

Related Topics

About CaseMap Server

Installing CaseMap Admin Console

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Registering CaseMap Servers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Tools > Options tab allows you to register CaseMap Servers in the CaseMap Admin Console so that you can connect to it. The CaseMap Servers tab lists all servers registered in the CaseMap Admin Console and displays the server name and URL address for each. Each CaseMap Server name should be unique and non-case sensitive.

You can also register, edit, and remove CaseMap Servers in the CaseMap and TextMap client applications by clicking Tools > Options > CaseMap Servers.

To register a CaseMap Server
1. On the Tools menu, click Options.
2. In the Options dialog box, click the Add button to open the New CaseMap Server dialog box.

CaseMap Server Tools Options

3. In the Server Name field, type in the server name.

New CaseMap Server

4. In the Server URL field, type in the CaseMap Server address for the client application.

For example: http://[Your Server Name Here]/CMServer/CMServerAdmin.svc.

If you installed CaseMap Server with the default options, simply replace [Your Server Name Here] with the name or address of the machine hosting the CaseMap Server.

5. Click OK.

Related Topics

Registering SQL Servers

Accessing CaseMap Server properties

Registering existing SQL cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Editing the CaseMap Server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap Server server name and URL can be edited in the CaseMap Admin Console or the CaseMap and TextMap client applications. For each product, click on the Tools menu and then click Options. The CaseMap Server tab displays the server name and URL.

To edit a CaseMap Server
1. On the Tools menu, click Options to open the CaseMap Servers tab.

CaseNap Tools Option - Edit

2. In the Registered CaseMap Servers box, select the server you want to edit.
3. Click the Edit button.
4. In the Edit CaseMap Server dialog box, modify the server name or server URL, then click OK.

The changes now display in the Registered CaseMap Servers box.

5. Click OK to save your changes.

Related Topics

Registering CaseMap Servers

Accessing CaseMap Server properties

Removing the CaseMap Server

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Removing the CaseMap Server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap Server can be removed in the CaseMap Admin Console and in the CaseMap and TextMap client applications. For each product, click on the Tools menu and then click Options. The CaseMap Server tab displays the server name and URL.

To remove a CaseMap Server
1. On the Tools menu, click Options to open the CaseMap Servers tab.

CaseMap Server Tools Option - Remove

2. In the Registered CaseMap Servers box, select the server you want to remove.
3. Click the Remove button.

The selected server no longer displays in the Registered CaseMap Servers box.

4. Click OK to save your changes.

Related Topics

Registering CaseMap Servers

Editing the CaseMap Server

Accessing CaseMap Server properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Accessing CaseMap Server properties
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Use the CaseMap Server Properties dialog box to set password policies and enter your organization or firm name. TextMap users can also edit the global Ignore Words list for new SQL cases created or registered in the CaseMap Admin Console.

For more information, see Modifying TextMap ignore words.

To access CaseMap Server properties
1. In the CaseMap Server pane, click on the CaseMap Server (the root node in the navigation pane).

You can also right-click on the CaseMap Server and click CaseMap Server Properties.

2. Click on the CaseMap Server Properties button to open the CaseMap Server Properties dialog box.

CaseMap Server Properties

3. In the Organization or firm name field, type in the name of your organization.

The maximum character limit for an organization or firm name is 255 characters.

4. In the Password Policies area, type in the minimum number of characters for the password length.
5. Select the Passwords must meet complexity requirements check box to enforce this policy.

The password requirements enforced by selecting this option include:

· Passwords must be six characters or longer
· Passwords cannot contain three or more characters of the UserName or FullName
· Passwords need to have at least three of the four following classes of characters: Numeric, UpperCase, Special Characters (e.g. @, #, $, etc)
6. Click OK to save your settings.

Related Topics

Accessing the CaseMap Admin Console

Registering SQL Servers

Modifying TextMap ignore words

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About SQL Servers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The SQL Servers pane allows you to register SQL Servers in the CaseMap Admin Console so that you can store CaseMap or TextMap case databases on them. The SQL Servers pane also lists all registered servers and displays the server name and description for each.

SQL servers Pane

Use the SQL Servers pane to:

· View a complete listing of registered SQL Servers
· Register new servers
· Take a server offline
· Rename servers
· Refresh the server list
· View/edit server properties
· Set a default index location
· Delete servers
· Export a list of servers

Related Topics

Registering SQL Servers

Taking SQL Servers offline

Renaming a SQL Server

Editing SQL Server properties

Deleting a SQL Server

Exporting a server list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Registering SQL Servers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Once a SQL Server is registered in the CaseMap Admin Console, it is ready to have cases associated with it. Each SQL Server name should be unique and non-case sensitive.

During the server registration process, the Administrative Credentials and Desktop Application Credentials areas require a SQL Server Authentication login account. The SQL Server login account configured for Administrative Credentials should be granted the database owner (dbowner) and database creator (dbcreator) roles. The database owner role is required to successfully perform internal application operations like changing isolation levels and enabling single user mode. The database creator role is required to create new cases directly in the CaseMap Admin Console.

If the administrator only wants to register servers (and not create SQL cases) in the CaseMap Admin Console, the database creator role is not needed for that user.

To register a new SQL Server
1. In the CaseMap Server pane, click on SQL Servers.
2. Click the New SQL Server button on the toolbar.
3. In the New SQL Server dialog box, type the name of an existing SQL Server in the Name field.

This should be the SQL Server where you want to host cases.

The SQL Server name has a maximum character limit of 128.

New SQL Server

4. In the Description field, type in a server description (optional).

The Description field has a maximum character limit of 200.

5. In the Administrative Credentials area, type in a CaseMap case administrator user name.

This login account needs to be the database owner in SQL Server for all cases registered on the server (existing or new).

This login should also be the database creator in SQL Server, if this user wants to create cases in the CaseMap Admin Console.

The user name has a maximum character limit of 272.

6. In the Password and Confirm fields, type in the password for this user and re-enter it.

The password has a maximum character limit of 100.

7. Click the Test Connection button to verify that you can connect to the server.
8. In the Desktop Application Credentials area:

Select the 'Always use the Administrative credentials' check box to use only those credentials when accessing the the server.

Optional: Type in the desktop application credentials for the SQL Server client User Name, Password, and Confirm password fields.

This login needs read, write, and execute permissions for cases.

9. Click the Test Connection button to verify that you can connect to the server.

You should test the connection for both sets of credentials.

10. In the message box to verify the connection, click OK.
11. Click the Create button to register the SQL Server database.
12. Click the Refresh button any time you need to update the server list.
13. Click Close when you are finished.

The new SQL Server now displays in the SQL Servers pane.

Related Topics

Accessing CaseMap Server properties

Configuring SQL Server for CaseMap Server

Creating SQL cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Taking SQL Servers offline
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can take a SQL Server offline if it is no longer being used. Users are not able to access any cases registered to a SQL Server that has been taken offline. Any SQL Servers that are taken offline display a red dot on the server icon.

To take a SQL Server offline
1. In the CaseMap Server pane, click on SQL Servers.
2. Select the SQL Server you want, then click the SQL Server Properties button.

You can also double-click on the SQL Server to open the SQL Server Properties dialog box, or right-click on it and select SQL Server Properties.

3. In the SQL Server Properties dialog box, select the Server is offline check box, then click OK.

SQL Server Properties

A red dot now displays on the server icon [image] to indicate that the server is offline.

Related Topics

Registering SQL Servers

Renaming a SQL Server

Editing SQL Server properties

Deleting a SQL Server

Exporting a server list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Renaming SQL Servers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Only rename the server if the name is incorrect or you have moved all cases on this server to a different SQL Server. Renaming the server will not rename the SQL Server instance.

To rename a SQL Server
1. In the CaseMap Server pane, click on SQL Servers.
2. Select the SQL Server you want to rename.
3. Right-click on the SQL Server and click Rename.

You can also click the Action menu and then click Rename, or select the Rename the selected item button.

4. In the message box, click OK.
5. In the Rename dialog box, type in the new SQL Server name, then click OK.

The new SQL Server name now displays in the SQL Servers pane. The server list does not resort after a name change.

Related Topics

Registering SQL Servers

Taking SQL Servers offline

Editing SQL Server properties

Deleting a SQL Server

Exporting a server list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Editing SQL Server properties
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

At least one server must be listed in the SQL Servers pane in order to edit server properties.

To edit SQL Server properties
1. In the CaseMap Server pane, click on SQL Servers.
2. Select the SQL Server for which you want to edit properties.
3. Click the SQL Server Properties button.

You can also right-click on the server and click SQL Server Properties, or click on the Action menu and click SQL Server Properties.

4. In the SQL Server Properties dialog box, enter your edits.
5. Click OK to save your changes.

Related Topics

Registering SQL Servers

Taking SQL Servers offline

Renaming a SQL Server

Deleting a SQL Server

Exporting a server list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deleting SQL Servers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You cannot delete a server that has one or more active or inactive cases associated with it. You can delete a server that has deleted cases associated with it. Once a SQL Server is deleted, it is permanently removed from the CaseMap Admin Console and the CaseMap Server.

To delete a SQL Server
1. In the CaseMap Server pane, click on SQL Servers.
2. Select the SQL Server you want, then click the Delete button.

You can also right-click on the server and click Delete, or click on the Action menu and then click Delete.

3. In the message box, click Yes to confirm removing the server.

The SQL Server no longer displays in the SQL Servers pane.

Related Topics

Registering SQL Servers

Taking SQL Servers offline

Renaming a SQL Server

Editing SQL Server properties

Exporting a server list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting a SQL Server list
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

An exported SQL Server list is saved in a directory folder where you can reference it later using Microsoft® Excel.

To export a server list
1. In the CaseMap Server pane, click on SQL Servers.
2. Click the Export list button [image] .
3. In the Save As dialog box, locate the folder where you want to save the exported server list, then click Save.
4. In the message box to confirm the export and view the saved file, click OK.

The exported server list is now saved in a directory folder so you can reference it later using Microsoft® Excel.

Related Topics

Registering SQL Servers

Taking SQL Servers offline

Renaming a SQL Server

Editing SQL Server properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About roles and users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

In order for users to access SQL cases in CaseMap or TextMap, you must first set them up as users in the CaseMap Admin Console, and assign them to a role and a SQL case.

If you are migrating existing cases to the CaseMap Server, users should be automatically mapped from the local CaseMap or TextMap Case Staff Member list to the CaseMap Server user accounts set up in the CaseMap Admin Console. For more information, see Mapping users.

Reference the Setting Up Users Checklist

Reference the following checklist when setting up users in the CaseMap Admin Console.

Checklist: Setting Up Users
 | Task
checkbox | If you are using Windows Authentication, you must first set up users in Active Directory before adding them as users in the CaseMap Admin Console. See Creating users.
checkbox | The spelling of the user name must be the same as the user name in Active Directory.
checkbox | Distinct user IDs and passwords need to be the same for each case database.
checkbox | If you are migrating existing cases to the CaseMap Server, you may want to verify mapped users from the local CaseMap or TextMap Case Staff Member list to the CaseMap Server user accounts set up in the CaseMap Admin Console to ensure users can successfully access the SQL case version in CaseMap or TextMap.
Create roles to apply user permissions

The CaseMap Admin Console provides the ability to create roles with varying permissions to help you quickly apply permissions to user accounts. We suggest you create roles based on the types of administrators needing access to the CaseMap Admin Console and the types of users accessing cases in CaseMap or TextMap.

For more information, see Creating roles.
Restrict user account access to cases

Based on the roles assigned in the CaseMap Admin Console, you can prevent most users from accessing any administrator level menu options or features. These items do not display at all or are inaccessible.

Disabled features can also be verified in the client application (CaseMap or TextMap) from the Help menu by clicking About LexisNexis CaseMap/TextMap. Next, click on the Disabled Features button to view a list of disabled features for the user currently logged into the client application.
Restrict admin accounts to SQL cases

Based on the role assignment set up in the CaseMap Admin Console, you can prevent most users from accessing any administrator level menu options or features. These items do not display at all or are inaccessible.

Administrator roles can be created to only allow case administrators the ability to add and modify user accounts for a set of assigned SQL cases in CaseMap or TextMap. Other Administrator roles may be set up to create the SQL databases and SQL cases in the CaseMap Server for CaseMap or TextMap.

For more information, see Creating roles.
Verify users for local cases migrated to CaseMap Server

If you are migrating existing cases to the CaseMap Server, you may want to verify mapped users from the local CaseMap or TextMap Case Staff Member list to the CaseMap Server user accounts set up in the CaseMap Admin Console to ensure users can successfully access the SQL case version in CaseMap or TextMap.

For more information, see Mapping case users.

Related Topics

Creating roles

Creating users in the Admin Console

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Creating roles
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Roles pane allows you to view a complete listing of roles based on case users or case administrators. Setting up roles allows you to quickly apply permissions for new CaseMap and TextMap case users because each role already contains pre-defined permissions.

Roles - New Roles

Use the Role pane to:

· View a complete listing of roles for a case database
· Create new roles
· Rename roles
· Delete roles
· Refresh the role list
· Export a list of roles
· View role properties

To create a role
1. In the CaseMap Server pane, click Roles.

Or click on the View menu and then click Roles.

2. Click the New Role button on the toolbar.
3. In the New Role dialog box, type in the role name in the Name field.

4. In the Description field, type in the role description.
5. In the Permissions box, select the check boxes for the permissions you want this role to have.
6. Click Create to create the role.

The new role now displays in the Roles pane.

7. Continue to create roles with varying permissions until you have the templates you need to create users.
8. Click Close when you are finished.

You can also verify any disabled permissions for a user in either CaseMap or TextMap by clicking the Help menu, then clicking About LexisNexis CaseMap/TextMap, and clicking the Disabled Features button.

To add/remove users to a role
1. In the CaseMap Server pane, click Roles.

Or click on the View menu and then click Roles.

2. Click on the role you for which you want to view properties.
3. Click the Role Properties button.

Or click on the Action menu and then click Role Properties.

4. In the Role Properties dialog box, click on the Users tab.
5. Click the Add button to add a user account to this role.
6. In the Add Users dialog box, select the user account, then click OK.

Roles - Add User

The selected user(s) now display in the Users tab in the Role Properties dialog box.

7. To remove a user from a role, select the users in the Users tab, then click the Delete button.

Related Topics

About roles and users

Creating users in the Admin Console

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Viewing CaseMap permissions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Reference the following table for a complete listing of role permissions you can apply for CaseMap administrator and case user rights. Permissions will vary for the types of administrator roles and case user roles you set up.

To view a complete listing of CaseMap role permissions

Role Permissions
Admin Options | CaseMap User Options
Administer any CaseMap case | Create local cases
Administer assigned CaseMap cases | Create local case templates
Administer server configuration | Open local cases
Alter any case | Open SQL case templates
Alter assigned cases | Administer local case staff
Alter any index location | Create replicas of SQL cases
Alter any role | Create replicas of local cases
Alter any SQL server | Open replica cases
Alter any user | Synchronize replicas
Connect Admin Console | Resolve synchronization conflicts
Create CaseMap 9 case | Convert replica into master
Create CaseMap 10 case | Rebuild case index
Create index location | Enable OCR
Create role | Create spreadsheets
Create SQL server | Delete spreadsheets
Create user | Rename spreadsheets
Delete any CaseMap case | Reorder spreadsheets
Delete any index location | Create case fields
Delete any role | Delete case fields
Delete any SQL server | Administer field security
Delete any user | Rename case fields
Export any CaseMap case replica | Increase description field size
Export any CaseMap case snapshot | Alter case field fixed list values
Export assigned CaseMap case replicas | Convert list fields between fixed and open ended
Export assigned CaseMap case snapshots | Administer ReportBooks
Upgrade any CaseMap case | Embed linked files in PDF reports
Upgrade assigned CaseMap cases | Import linked files
 | Import data from text files
 | Import e-mails from Outlook
 | Import Issues from NoteMap
 | Convert emails to PDF documents
 | Bates stamp PDF documents
 | Batch copy linked files or PDF documents
 | Batch print linked PDF documents
 | Administer case file viewers
 | Bulk change case linked file viewer
 | Bulk change case linked file paths
 | Bulk auto number records
 | Bulk field copy
 | Bulk field update
 | Bulk link case issues
 | Bulk delete all records in view
 | Run case scripts
 | Import my scripts
 | Alter my scripts * Consider restricting access to advanced users who know how to write/edit scripts
 | Import all users scripts
 | Alter all users scripts * Consider restricting access to advanced users who know how to write/edit scripts
 | DocManager - Print to PDF
 | DocManager - Print to printer
 | DocManager - Print to TIFF
 | DocManager - Batch print to PDF
 | DocManager - Batch print to printer
 | DocManager - Batch print to TIFF
 | DocManager - Batch print with Bates stamps
 | DocManager - Send from Microsoft Outlook
 | Send from Microsoft Word

Related Topics

About roles and users

Creating roles

Creating users in the Admin Console

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Viewing TextMap permissions
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Reference the following table for a complete listing of role permissions you can apply for TextMap administrator and case user rights. Permissions will vary for the types of administrator roles and case user roles you set up.

To view a complete listing of TextMap role permissions

Role Permissions
TextMap Admin Options | TextMap User Options
Administer any TextMap case | Create local cases
Administer any assigned TextMap cases | Open local cases
Administer server configuration | Administer local case staff
Alter any cases | Create replicas of SQL cases
Alter assigned cases | Create replicas of local cases
Alter any role | Synchronize replicas
Alter any SQL server | Import transcripts
Alter any user | Import updates from the iPad
Connect Admin Console | Update transcripts
Create TextMap case | Delete transcripts
Create role | Edit transcript properties
Create SQL Server | Export transcripts
Create user | Export case to the iPad
Delete any TextMap case | Create annotations
Delete any role | Edit other users' annotations
Delete any SQL Server | Change annotations' owner
Delete any user | Save search for all case users
Export any TextMap case replica | Edit searches created by other users
Export assigned TextMap case replicas | Edit case synonyms
Upgrade any TextMap case | Create transcript groups
Upgrade any assigned TextMap case | Edit groups created by other users
 | Administer case file viewers
 | Edit case video paths
 | Edit SQL case exhibits folder
 | Manage case issues
 | Manage linked documents
 | Manage SQL case word index

Related Topics

About roles and users

Creating roles

Creating users in the Admin Console

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Renaming roles
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Roles can easily be edited or renamed. Each role name must be unique.

To rename a role
1. In the CaseMap Server pane, click Roles.

Or click on the View menu and then click Roles.

2. Click on the role you want to rename.
3. On the Action menu, click Rename.
4. In the Rename dialog box, type in the new role name, then click OK.

The selected role now displays the new name.

Related Topics

Creating roles

Deleting roles

Viewing role properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deleting roles
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Deleted roles are permanently removed from the case. When a role is deleted all assignments of case users for this role are also deleted.

To delete a role
1. In the CaseMap Server pane, click Roles.

Or click on the View menu and then click Roles.

2. Click on the role you want to delete.
3. Click the Delete button.

Or click on the Action menu and then click Delete.

4. In the message box, click Yes to confirm the action.

The selected role is now permanently deleted from the case database.

Related Topics

Creating roles

Renaming roles

Viewing role properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Viewing role properties
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Role properties allows you to view the role description and default permission levels. You can also view a list of all users assigned to the role.

To view role properties
1. In the CaseMap Server pane, click Roles.

Or click on the View menu and then click Roles.

2. Click on the role you for which you want to view properties.
3. Click the Role Properties button.

Or click on the Action menu and then click Role Properties.

4. In the Role Properties dialog box, click on the General tab to view a role description and assigned permission levels.
5. Click on the Users tab to view a listing of user accounts created with this role.

Role Properties dialog box > Users tab

6. Click OK when you are finished.

Related Topics

Creating roles

Renaming roles

Deleting roles

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting a list of roles
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can export a list of roles to reference later using Microsoft® Excel.

To export a list of roles
1. In the CaseMap Server pane, click on Roles.
2. Click the Export list button [image] .
3. In the Save As dialog box, locate the folder where you want to save the exported role list, then click Save.
4. In the message box to confirm the export and view the saved file, click OK.

The exported role list is now saved in the selected folder.

Related Topics

Creating roles

Viewing role properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Creating users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Users pane allows you to view a complete listing of CaseMap and TextMap users set up in the CaseMap Admin Console. Once users are set up, you must assign them to a role to apply the appropriate permissions. Permissions are global settings and apply to all cases assigned to the user. Users must be assigned to the cases they need to access.

Use the Users pane to:

· View a complete listing of users
· Create new users
· Select password settings
· Change authentication types
· Rename users
· Disable user accounts
· Delete users
· Refresh the user list
· Export a list of users
· View or modify user properties
· Email user notifications

To create a user using Windows Authentication
1. In the CaseMap Server pane, click Users.
2. Click the New User button on the toolbar.
3. In the New User dialog box, type in the user name in the User Name field.

Or, click the Search button to locate a user in Active Directory.

4. In the Authentication Type area, select Windows Authentication if you are using Active Directory.
5. Verify the user's name and email address.
6. Click the Create button to create the user account.

The new user's name now displays in the Users listing.

7. Click Close when you are finished.
To create a user using Simple Authentication
1. In the CaseMap Server pane, click Users.
2. Click the New User button on the toolbar.
3. In the New User dialog box, type in the user name in the User Name field.

New User - Simple Authentication

4. In the Authentication Type area, select Simple Authentication if you are using a CaseMap logon.
5. In the Password and Confirm fields, type in the user's CaseMap password and confirm it.
6. Select check boxes for the password settings you want to apply.
· Account is disabled
· User must change password at next login
· User cannot change password
7. Click the Create button to create the user account.

The new user's name now displays in the Users listing.

8. Click Close when you are finished.
To bulk import users from an Active Directory group

You can bulk import users from an Active Directory group using the Import Users Wizard. The wizard allows you to search for individuals by domain group, but you can also run common queries to locate a specific group. Once users are verified in Active Directory, the wizard allows you the option of assigning them to roles already created in the CaseMap Admin Console. You can also wait and assign users to roles after the import process completes.

Users imported into the CaseMap Admin Console will display on the Users pane. Each user's name, type, user name, and email is automatically imported too during this process. Existing CaseMap Server users will not be duplicated during the import. If you cancel the query during the import process, only users successfully imported at that point will be added.

1. In the CaseMap Server pane, click Users.
2. On the Action menu, click Import Users.

You can also right-click on Users and select Import Users.

3. When the Import Users Wizard launches, click Next.
4. On the Active Directory Group page, type in the domain and group name of the Active Directory group for which you want to import users.

The wizard will not import users from sub-groups of the specified group.

Import Users > Active Directory Group

5. Click the Browse button to open the Select Group dialog box and search for a group.

6. Click the Object Types button to select the types of objects you want to find, then click OK.
7. Click the Locations button to select the directory location you want to search, then click OK.
8. In the Enter the object name to select box, type in the group name that you want to locate.
9. Click the Check Names button to verify the object in Active Directory.
To run common queries to locate users
1. Click the Advanced button if you want to run a common query to locate users.

The Select Group dialog box now displays a Common Queries section.

Select Group > Advanced

2. In the Name list, select Starts with or Is exactly for how you want to search for a group.
3. Type in the group name in the box.
4. If you want to add additional columns to the search results, click the Columns button.

5. In the Columns available box, select the column you want and click the Add button, then click OK.

Select columns in the Columns shown box and click Remove to remove them the display results.

6. Click the Find Now button to run the query.
7. In the Common Query Results box, click on the group you want, then click OK to add it to the Select Group dialog box.
8. Click the Stop button to cancel the query, if needed.
9. In the Common Queries Results box, click the group you want to import, then click OK.

The group now displays in the Select Group dialog box.
10. Click the Next button to validate the group.
11. The Processing Group page displays the search progress and the number of users found.
12. On the Users to Import page, select the check box for each user you want to import, then click Next.

Select the Select All check box to import all users in the specified group.

13. On the Assign Roles page, select the check box for the role you want to assign to imported users, then click Next.

Import Users > Assign Roles

You can also wait to assign roles in the CaseMap Admin Console after the import.

14. In the Ready to Import page, verify the number of users and roles, then click Next.
15. On the Completing the Import Users Wizard page, verify the number of users successfully imported and/or skipped, then click Finish.

Import Users > Finish

The number of existing CaseMap Admin Console users will display as skipped. In addition, the number of any users who were skipped to due errors are also displayed on this page.

Imported users now display in the Users pane of the CaseMap Admin Console. You can now assign users to roles and cases.
To change a user's authentication type

If you inadvertently added a user with the wrong authentication type, or you added a user to Active Directory after adding the user here, you can change how the user logs in.

1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want change the authentication type.
3. On the Action menu, click Change Authentication Type.

Or, right-click on the user and click Change Authentication Type.

4. In the Change Authentication Type dialog box, type in the user name.
5. Click the Search button, if you are changing the user from simple authentication to Windows authentication.
6. Click OK to save the change.

The user's new authentication type now displays in the Users list.

Related Topics

About roles and users

Creating roles

Viewing or modifying user properties

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Changing user passwords
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If you are using simple authentication for CaseMap or TextMap security, you can easily change a user password. Passwords are global for all cases accessed in the CaseMap Server.

To change a user password
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want to reset a password.
3. On the Action menu, click Set password.

Or, right-click on the user and click Set password.

4. In the Set password dialog box, type in the new password and confirm it.

5. Select the Email user with new password check box to send the user the new password information.
6. Click OK when you are finished.

The user's case password is immediately updated.

A Microsoft Outlook email template opens addressed to the user. The email body contains pre-written text that you can modify with your own message.

Related Topics

About roles and users

Creating users

Viewing or modifying user properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Editing user properties
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The User Properties dialog box allows you to assign users to roles and cases, add a user's email address, disable the account, and set password options.

To view or modify user properties
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want view/modify account properties.
3. Click the User Properties button.

Or, click on the Action menu and then click User Properties.

4. In the User Properties dialog box, click on the General tab to view user information and modify password settings.
5. Click on the Cases tab to view, add, or remove cases assigned to the user.
6. Click on the Roles tab to view, add, or remove roles assigned to the user.
7. Click OK to save your changes.

Related Topics

About roles and users

Creating users

Changing user passwords

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Renaming users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

User names can easily be edited or renamed. Each user name must be unique.

To rename a user
1. In the CaseMap Server pane, click Users.
2. Right-click on the user account you want to rename, then click Change user name.

Or, click on the Actions menu and click Change user name.

3. In the Change User Name dialog box, type in the new user name, then click OK.

The User Name field in the User pane is now updated to reflect the change.

Notice that the Name and Email field data remains the same. To update this information, see To view or modify user properties.

Related Topics

About roles and users

Creating users

Deactivating or deleting users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Disconnecting case users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can disconnect all case users from a case if you need to perform administrative tasks that require exclusive access to the case, such as deleting or upgrading a case. When you disconnect users currently logged into a case, they are disconnected from the case immediately and any unsaved changes will be lost.

When disconnecting users, you also have the option to mark the case as inactive while you perform exclusive administrative tasks. After completing your tasks, remember to mark the case as active again so case users can log in and continue working. Cases marked as inactive display a red dot on the case icon. See Deactivating cases.

We recommend you email all users prior to upgrading a case to ensure all users are logged out beforehand.

To disconnect all case users
1. In the CaseMap Server pane, click SQL Cases.
2. Select the case for which you want to disconnect users.
3. On the Action menu, click Disconnect All Users.

You can also right-click on the case and click Disconnect All Users.

4. In the message box to confirm the action, select the Mark the case as inactive to prevent users from reopening it check box to ensure the case is inactive while you perform exclusive administrative tasks.
5. Click OK to continue.

Related Topics

About SQL cases

Editing case properties

Deactivating cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deactivating or deleting users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When staff members leave a case, you need to decide whether to deactivate them or delete them. When you choose to deactivate a user, their views, searches, and fields are preserved in the event that they rejoin the case at a later date.

When you are certain that a user no longer needs access to a case, you can permanently delete the user record from the case. All views, searches, and fields associated with the user are permanently removed from the case.

To deactivate a user
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want deactivate the account.
3. Click the User Properties button.

Or, click on the Action menu and then click User Properties.

4. Select the Account is disabled check box, then click OK.

The user can no longer access assigned cases in the CaseMap Server.

To re-activate the user account, simply deselect the Account is disabled check box.
To delete a user
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want delete the account.
3. Click the Delete button on the toolbar.

Or, right-click and then click Delete or select Delete from the Action menu.

5. In the message box to delete the users, click OK.
6. In the message box to confirm the action, click Yes.

The user account can no longer access assigned cases and the user no longer displays in the Users pane listing.

Related Topics

About roles and users

Creating users

Renaming users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Emailing case users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If users are logged into a SQL case and you need them to exit it to perform administrative tasks, simply send them an email to alert them of when and why they need to log out of the case.

To email all users assigned to a case
1. In the CaseMap Servers pane, click SQL Cases.
2. Select the case for which you want to send an email.
3. Click the Generate a new email button.

Or, right-click on the case and click Email users assigned to case, or select this option from the Action menu.

A Microsoft Outlook email template opens automatically addressed to the user. The email body contains pre-written text that you can modify with your own message.
To email an individual user
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want to send an email.
3. Click the Email user button on the toolbar.

Or, right-click on the user and click Email user or select this option from the Action menu.

A Microsoft Outlook email template opens addressed to the user. The email body contains pre-written text that you can modify with your own message.

Related Topics

Deactivating cases

Deleting cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting a list of users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can export a list of users to reference later using Microsoft® Excel.

To export a list of users
1. In the CaseMap Server pane, click on Users.
2. Click the Export list button [image] .
3. In the Save As dialog box, locate the folder where you want to save the exported user list, then click Save.
4. In the message box to confirm the export and view the saved file, click OK.

The exported user list is now saved in a directory folder so you can reference it later using Microsoft Excel.

Related Topics

About roles and users

Creating users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Assigning users to cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can also add users to cases in either the Add Cases dialog box or the SQL Case Properties dialog box.

To assign a user to a case
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want to assign to a case.
3. Click the User Properties button.

Or, click on the Action menu and then click User Properties.

4. In the User Properties dialog box, click on the Cases tab.
5. Click the Add button.
6. In the Add Cases dialog box, select the check box for each case you want to assign to the user, then click OK.

Click the Select All button to assign the user to all cases.

The selected cases now display in the Cases tab for that user.

To remove a case from the user account, select it and then click the Remove button.

7. Click OK when you are finished.

Related Topics

About roles and users

Creating users

Creating new SQL cases

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Assigning users to roles
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

When assigning users to a role, you may want to reference permissions associated with each role. For more information, see Viewing CaseMap permissions or Viewing TextMap permissions.

To assign a user to a role
1. In the CaseMap Server pane, click Users.
2. Select the user for whom you want to assign to a case.
3. Click the User Properties button.

Or, click on the Action menu and then click User Properties.

4. In the User Properties dialog box, click the Roles tab.
5. In the Add Roles dialog box, select the check box for the role you want to assign to the user, then click OK.

The selected role now displays in the Roles tab for that user.

To remove a role from the user account, select it and then click the Remove button.

6. Click OK when you are finished.

Related Topics

About roles and users

Creating users

Creating roles

Viewing CaseMap permissions

Viewing TextMap permissions

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Mapping users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Mapping users is the process of matching up the users stored in a CaseMap or TextMap case that you are importing or manually registering with the users that are already registered with the CaseMap Server. Mapping a user automatically assigns that user to the case. Users must be assigned to the case in order to open it in CaseMap or TextMap.

When importing a case via the Import Local Cases feature, the Admin Console will attempt to automatically match up the users based on their names or user names (such as their Active Directory user names).

If you register the users with the CaseMap Server before importing a case, then you may not need to manually map the users afterward. If the Admin Console cannot find a match automatically, you can still map that user manually.

We recommend you set up CaseMap Server users with assigned roles in the CaseMap Admin Console before importing a local case. This process allows you to map users from the CaseMap or TextMap Case Staff Member list to users defined in the CaseMap Admin Console after case registration succeeds.

Map Case Users

Example of the mapping user process:

Refer to the above graphic for the examples noted below.

· AttorneyC and ParalegalD are existing case staff that can be successfully mapped when an existing case is registered because they already have user accounts set up in the CaseMap Admin Console.
· InvestigatorF and LitigatorS are existing case staff that need user accounts set up in the CaseMap Admin Console before they can be mapped and access the new SQL case version.
· SysAdmin and AttorneyD already have user accounts set up in the CaseMap Admin Console, but need to be assigned to the new SQL case (once it is registered) in order to access it.

To review mapping considerations

Please refer to the Mapping Users table for things to consider during this set up.

Mapping Users

If a user is not successfully mapped after importing a local case, this task can be completed later in the CaseMap Admin Console by selecting the SQL case, clicking the Action menu, and then clicking Map Case Staff Members.

If there are no non-mapped users, a message box displays stating that all users in the original case have been mapped. This message box will not display any CaseMap Server users that are already mapped to the case database.

If there are no users in a case when you register it, no message displays regarding whether to map users. If you right-click on a case without users, a message will display indicating that you need to assign users to a case.

The bottom list of mapped users remains empty and is only populated when you select a user combination and click the Map Users button.

To map case users
1. In the CaseMap Server pane, click SQL Cases.
2. Right-click on a case and click Map Case Staff Members.

Or click on the Action menu and select Map Case Staff Members.

3. In the Map Case Users dialog box, select a user in Unmapped case staff members box.
4. In the Unmapped CaseMap Server users box, select the same user name, then click Add.

The user now displays in the Mapped users box.

5. Click the New CaseMap Server User button if you want to add a new user to the SQL case file at this time.

New users added display in the Unmapped CaseMap Server users list so they can be mapped.

For more information, see Creating users.

6. Continue mapping case users until you are finished.
7. Click OK to save the users.

The mapped users can now access the SQL case version of this case.

Remember to assign users to roles. See Creating roles.

Related Topics

Registering existing SQL cases

About roles and users

Creating users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About SQL cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The SQL Cases pane allows you to set up CaseMap or TextMap cases on an SQL Server. Here you see a complete listing of all SQL cases which includes the name, case type, client matter number, the server where the case resides, the date created and the date accessed. In this pane, you can manage the state of each case as well as assign and notify case users.

SQL Cases Pane

Use the SQL Cases pane to:

· View a complete listing of registered SQL cases
· Create new SQL cases
· Import TextMap local cases
· Register existing SQL cases
· Map case staff
· Test case connectivity
· Refresh the case list
· Sort column data
· Change the server for a case
· Rename cases
· Edit case properties
· Deactivate cases
· Delete cases
· Upgrade cases
· Disconnect case users
· Email all assigned users for a case
· Export a list of cases
· Export a case database

This section only addresses managing SQL cases. Users can optionally create local cases, just as in prior versions of CaseMap or TextMap. For more information, see the CaseMap or TextMap help systems.

Related Topics

Registering SQL Servers

Registering CaseMap Servers

Creating new SQL cases

About roles and users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Creating new SQL cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Each CaseMap or TextMap case is stored in its own SQL Server database. You cannot have multiple cases stored in the same database. Each case must have a unique name. You can create new cases as well as register existing cases that you have imported from prior versions of CaseMap or TextMap. See About migrating cases.

You can select the CaseMap or TextMap version you want to use when creating new SQL cases. When you upgrade to a new CaseMap or TextMap version, you can create a new SQL case without having to upgrade all existing cases. The version number displays in the Case Type column in the SQL Cases pane so you can easily identify and sort SQL cases.

To create a new CaseMap SQL case
1. In the CaseMap Server pane, right-click on SQL Cases.
2. Click on the New SQL Case button on the toolbar.
3. In the New CaseMap SQL Case dialog box, select CaseMap SQL.
4. Next select Create a new SQL case database, then click OK.

New SQL Case - Create a new SQL case database

5. In the New CaseMap SQL Case dialog box, click the CaseMap version you want to use in the Version list.

New SQL Case

If the Version list is disabled, you can still create SQL cases for the version for which you have permissions granted.

6. In the Case Name field, type in a name for the new SQL case.

The maximum case name is 100 characters.

7. In the Client Matter No. field, type in the client matter number (optional).

The maximum client matter number is 100 characters.

8. In the Description field, type in a case description (optional).

The maximum description is 200 characters.

9. In the Default Time Zone drop-down listing, click on the time zone where most of the case events occur.
10. In the Template Name field, select the CaseMap template you want to use to create the SQL case.

The CaseMap Default Template is used if you have not created any CaseMap templates.

For more information, see Creating SQL cases from CaseMap templates.

11. In the SQL Server drop-down listing, select the SQL Server that will host or store this case.
12. Click the Test Connection button.
13. In the message box to confirm the connection, click OK.
14. In the Database Name field, type in the SQL database name if different from the case name.

The maximum SQL database name is 128 characters.

15. Select whether to use a new database or an existing, empty database:
· Create the new database on the SQL Server
· Use an existing empty database on the SQL Server
16. Click the Create button to create the case.
17. In the message box, click Yes to continue.

The case now displays in the SQL Cases pane.

18. Click Close when you are finished.

The case now displays in the SQL Cases pane.
To create a new TextMap SQL case
1. In the CaseMap Server pane, right-click on SQL Cases.
2. Click on the New SQL Case button on the toolbar.
3. In the New SQL Case dialog box, select TextMap SQL.

New TextMap SQL Case

4. Next select Create a new SQL case database, then click OK.
5. In the New TextMap SQL Case dialog box, select a version from the Version field.

New TextMap SQL Case

6. In the Case Name field, type in a name for the case.

The maximum client matter number is 100 characters.

7. In the Client Matter No. field, type in the client matter number (optional).
8. In the Description field, type in a case description (optional).

The maximum description is 200 characters.

9. Check the Case is Inactive check box only if the case is inactive.
10. In the Exhibits Import Folder area, type in the path name to the exhibits folder you want to import, or click Browse (optional).
11. In the Browse for Folder dialog box, select the file path to the exhibits folder you want, then click OK.
12. In the SQL Server drop-down listing, select the SQL Server that will host or store this case.
13. Click the Test Connection button.
14. In the message box, click OK to confirm the connection.
15. In the Database Name field, type in the SQL database name.

The maximum SQL database name is 128 characters.

16. Select whether to use a new database or an existing, empty database:
· Create the new database on the SQL Server
· Use an existing empty database on the SQL Server
17. Click the Create button to create the case.
18. In the message box, click Yes to continue.

The case now displays in the SQL Cases pane.

19. Continue creating SQL cases, as needed, and/or click Close to end.

Related Topics

About SQL cases

Registering existing SQL cases

Creating SQL cases from CaseMap templates

Renaming cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About migrating cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

CaseMap and TextMap support creating both local and SQL cases. You can easily migrate a local case to a SQL database that is managed using the CaseMap Admin Console.

To migrate existing cases, see:

· Bulk importing TextMap cases
· Bulk importing CaseMap cases

Before importing SQL cases, we recommend you set up CaseMap Server users with assigned roles in the CaseMap Admin Console. The import process will automatically import case user assignments when the local case users match the CaseMap Server users you have created. You can still map users that don't match up automatically. See About roles and users.

Once users are mapped they should automatically be assigned to the SQL case and able to open it in the client application. For more information, see Mapping case users.

Always backup copies of the local cases before you migrate them into CaseMap Server.

Previous version SQL cases can now be upgraded in the CaseMap Admin Console to receive the latest update or version of the client application: CaseMap or TextMap. See Upgrading cases.

Learn why you should migrate local cases to CaseMap Server

Microsoft SQL Server is a widely available client/server relational database system. Microsoft SQL Server provides several benefits to CaseMap Server:

· Performs transactions and atomic operations for data safety and protection
· Runs at extremely high speeds
· Creates little or no disk fragmentation
· Allows for greater database size; not limited to 2 GB database size limits
· Allows for easy management

The CaseMap v10.0 and TextMap v7.0 SQL options have been tested against Microsoft SQL Server 2005, SQl Server 2008, and SQL Server 2012.

Involve your SQL database administrator

The first key to a successful migration is having your organization's SQL Server Database Administrator work with you in this process. Since each organization's needs are different, the SQL environment tends to be uniquely configured. Involving your SQL Database Administrator will help save you time and effort.

The CaseMap Technical Support team does not have knowledge of your SQL configuration and therefore, cannot answer your SQL questions. However, they can help you with your CaseMap, TextMap, CaseMap Server and CaseMap Admin Console questions. When calling the support team, please make sure your SQL Database Administrator is on the call to answer SQL configuration questions from support.

Related Topics

Installing the CaseMap SQL Import Utility

Bulk importing TextMap cases

Bulk importing CaseMap cases

Registering existing SQL cases

Mapping case users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Bulk importing TextMap cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Import Local Cases utility allows you to migrate cases to the CaseMap Server. During the import process, the utility converts cases in an Access database format to a SQL Server database format. It creates a brand new SQL case and copies all information from the local case into the SQL case. TextMap cases can be converted individually or bulk imported to the CaseMap Server. Duplicate cases will not be added to the list.

During the import process, cases are automatically registered to the CaseMap Server and stored in the SQL Server you select. Case users will automatically be mapped for you during the import. You can verify or manually edit case users, as needed. See Mapping users.

Once a case has been successfully imported to the CaseMap Server, the file extension on the local case is changed to ".001" to ensure that case staff can no longer open it in the client application. If a case already exists with the same name and extension, the numbers will increment to ".002" and ".003" to ensure a unique name.

You can also import a list of cases from a text file. The text file containing the list of cases must list one case per line. Each line must contain only the full path to the case file. The import utility will not add duplicate cases to the list.

Once the import process completes, results display listing the number of cases successfully imported and any cases that failed to import. If you cancel the import during processing, CaseMap Server will finish importing the last case being processed before stopping.

After the case is imported, it's important to verify case users and assign them to roles in the CaseMap Admin Console. See About roles and users.

Once a case has been converted to SQL format, users can no longer access the local case.

To bulk import TextMap cases
1. In the CaseMap Server pane, click on SQL Cases.
2. On the Action menu, click Import Local Cases.
3. In the Import Local Cases dialog box, click TextMap to select the type of case to import.

4. In the Which SQL case version do you want to create? list, select the TextMap case version (e.g., TextMap 6) for the files you want to import.

You can only import any older version of local TextMap cases at the same time. All cases imported will be converted to the selected TextMap version.

5. In the Which SQL Server should store the SQL cases? list, select the SQL Server you want to use.
6. Click OK.
7. In the Import Local TextMap Cases dialog box, on the Case Selection tab, click Add Cases.

Import Local TextMap Cases - Add Cases

8. In the Select TextMap Cases dialog box, navigate to the folder where your case files are stored.
9. Select the TextMap case(s) you want to import and then click Open.
10. In the Import Local TextMap Cases dialog box, review the case(s) selected for the import.

Import Local TextMap Cases

To remove a case from the TextMap Access Cases to Import box, select the case you want to delete and click Remove.

11. In the Exhibits Path field, type in the file path (maximum 200 characters) to the exhibits folder for this case.
12. In the bottom left of the dialog box, select the Index transcripts during import option check box (optional).
13. Click Add from File to import cases from a .csv file with one case per line.

Each line in the .csv file must at least contain the full path to the local case file. You can also specify the exhibits path and SQL case database in the following format:

"<local case file path>","case exhibits path","<SQL database name>"

Duplicate cases will not be added to the list.

In the message box to import the files, click OK.

14. Click Import.
15. In the LexisNexis CaseMap Admin Console message box confirming the completed import, click OK.

If you click Cancel during the Import process, the process will finish importing the last case before stopping.

16. On the Results tab, review each case that was processed.
17. To save a results log, click the Save Log button.
18. In the Save Import Log dialog box, navigate to the folder where you want to save the log file, then click Save.
19. Click the X to close the dialog box when you are finished.

Related Topics

Creating SQL cases

About migrating cases

Bulk importing CaseMap cases

Registering existing SQL cases

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Bulk importing CaseMap cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SQL Import Utility allows you to migrate local cases to the CaseMap Server. During the import process, the utility converts a case in an Access database format to a SQL Server database format. It creates a brand new SQL case and copies all information from the old case into the new one. You will also have the option to create the new case on a specified server instead of using an existing one. CaseMap cases can be converted individually or bulk imported to the CaseMap Server. Duplicate cases will not be added to the list.

Once a case has been successfully imported to the CaseMap Server, the file extension on the local case is changed to ".001" to ensure that case staff can no longer open it in the client application. If a case already exists with the same name and extension, the numbers will increment to ".002" and ".003" to ensure a unique name.

You can also import a list of cases from a text file. The text file containing the list of cases must list one case per line. Each line must contain only the full path to the case file. The import utility will not add duplicate cases to the list.

When initiating the import process, you must use the administrative credentials you use in the SQL Server Properties dialog box in the CaseMap Admin Console. The CaseMap Administrative Credentials need to be filled in before you can import cases. This login must have the Create any database permissions on the specified SQL Server. This login will also become the database owner (dbo) for each imported CaseMap case.

Once the import process completes, a message box displays listing the number of cases successfully imported and any cases that failed to import. If you cancel the import during processing, CaseMap Server will finish importing the last case being processed before stopping. A list of all cases successfully imported displays on the Results tab in the CaseMap SQL Import Utility dialog box.

After the case is imported, it's important to verify case users and assign them to roles in the CaseMap Admin Console. See About roles and users.

Once a case has been converted to a new version format, users can no longer access it using an older version of CaseMap. We recommend that all users get new versions installed at the same time.

To bulk import CaseMap cases
1. Launch the LexisNexis CaseMap 10 SQL Import Utility.
2. In the CaseMap 10 SQL Import Utility dialog box, click the SQL Servers tab.

CaseMap SQL Import Utility > SQL Servers tab

3. In the Server Name field, type in the name of the SQL Server you want to use.
4. In the CaseMap Administrative Credentials area, type in the user name and password.

The login credentials should be the same as those entered in the SQL Server Properties dialog box in the CaseMap Admin Console. The CaseMap Administrative Credentials need to be filled in before you can import cases.

5. Click the Case Selection tab or Next.

CaseMap SQL Import Utility > Case Selection tab

6. Click the Add Cases button.
7. In the Select CaseMap Cases dialog box, navigate to the folder where the cases are stored and select the cases you want to import, then click Open.

The cases now display in the Selected Cases box with the full path and a default SQL case database name. Place your cursor over th CaseMap Access Case field to view the full path.

Click in the SQL Case Database field to edit the case name. Each SQL Case Database name should be unique. The maximum case name is 128 characters.

8. Click the Add from File button if you want to import a list of cases saved in a text file.

In the message box to import a text file, click OK.

In the Select CaseMap Cases List, navigate to the file you want to import, then click Open.

9. Click the Remove button to delete a case from the bulk import.
10. Click the Import button.
11. In the message box confirming the import, click OK.

If you click Cancel during the Import process, the process will finish importing the last case before stopping.

12. Click the Results tab to review each case that was processed.

CaseMap SQL Import Utility > Results tab

13. To save a results log, click the Save Log button.
14. In the Save Import Log dialog box, navigate to the folder where you want to save the log file, then click Save.
15. Click the Clear button if you want to delete import results data.
16. On the File menu, click Exit when you are finished.

Related Topics

Creating new SQL cases

Creating SQL cases from CaseMap templates

Registering existing SQL cases

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Registering existing SQL cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Registering an existing SQL case in the CaseMap Admin Console means you are registering a local CaseMap or TextMap case that you migrated to the SQL Server. Cases are automatically registered during the bulk import process. Case names must be unique.

Cases can also be unregistered. Unregistering a case does not delete the case database file; it simply stops the CaseMap Server from serving it. If you later decide to re-register the case, it will be assigned a new and unique internal ID. Users assigned to an earlier version of the case will not be able to access it when it is re-registered until they are re-assigned to the case.

To register an existing SQL case
1. In the CaseMap Server pane, click on SQL Cases.
2. On the Action menu, click on the New SQL Case button on the toolbar.
3. In the New SQL Case dialog box, select the type of case you want to create: CaseMap SQL or TextMap SQL.

New SQL Case

4. Next select Register an existing CaseMap SQL case database.
5. Click OK to open the Register TextMap SQL Case Database dialog box.

Register SQL Case Database

This dialog box is named Register CaseMap SQL Case Database, if you selected CaseMap SQL.

6. In the Case Name field, type in the case name.

The maximum case name is 100 characters.

7. In the Client Matter No. field, type in the client matter number (optional).

The maximum client matter number is 100 characters.

8. In the Description field, type in a case description (optional).

The maximum description is 200 characters.

9. In the SQL Server drop-down list, select the SQL Server you want to connect with this case.
10. In the Database Name field, type in the existing SQL database name.

The maximum SQL database name is 128 characters.

11. Click Register to register the case.

The case now displays in the SQL Cases pane.

12. In the Map Case Users dialog box, select a user in the Unmapped case staff members box.
13. Choose one of the following depending on the user account status:
· If the user is already added as a user in the CaseMap Admin Console, select the same user name in the Unmapped CaseMap Server users box, then click Add.

The user displays in the Mapped users box. For more information, see Mapping users.

· If the user is not already added as a user in the CaseMap Admin Console, click the New CaseMap Server User button.

Complete steps for adding a new users. See Creating Users.

Next complete steps for mapping the user as mentioned in the above bullet.

Remember to assign users to roles. See Creating Roles.

14. Click OK to continue to save mapped users.

The existing case is now registered with existing/new users mapped to user accounts in the CaseMap Admin Console.

Related Topics

Creating new SQL cases

About migrating cases

Creating SQL cases from CaseMap templates

Mapping users

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Creating SQL cases from CaseMap templates
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If you are a CaseMap user, you can create a new SQL case from a CaseMap SQL template. This feature is similar to how you create cases from templates in CaseMap, but can now be done in the CaseMap Admin Console for SQL cases.

When you create a new SQL case from a CaseMap SQL case template, you have the option to copy case staff and/or case issues into the new case. If you choose to copy case staff, then each user's spreadsheet views, saved searches, and case/form preferences set in the template are copied into the new SQL case. No other spreadsheet data or settings can be copied from a case template.

SQL Cases pane > Case template display

CaseMap SQL case templates are identified by a blue icon, so you can easily identify them in the SQL Cases pane of the CaseMap Admin Console and distinguish them from individual SQL cases (yellow icon). Template names will also display in the Template Name drop-down listing in the New SQL Cases dialog box when new SQL cases are created.

Before you can start creating SQL case templates, you need to ensure that Microsoft SQL Server has been configured to support this functionality. For more information, see Configuring SQL Server for CaseMap templates.

Follow these steps to create SQL CaseMap templates:

· Configure SQL Server for CaseMap templates
· Create a new SQL case to be used as a template
· Mark the new SQL case as a template
· Create a new SQL case from the existing SQL case template

You can use an existing CaseMap local case to create a SQL case template. Use the CaseMap SQL Import Utility to migrate the local case to the SQL case file format. Then register the case in the CaseMap Admin Console and mark it as a template. For more information, see About SQL cases and Bulk importing CaseMap cases.

To create a SQL case for use as a template
1. In the CaseMap Server pane, click on SQL Cases.
2. Click the New SQL Case button on the toolbar.
3. In the New SQL Case dialog box, select CaseMap SQL.
4. Next select Create a new SQL case database and then click OK.
5. In the New CaseMap SQL Case dialog box, click on the CaseMap version you want in the Version list.

New CaseMap SQL Case > Create a new template

6. In the Case Name field, type in a name for the new SQL case in the Case Name field.

The maximum for a case name is 100 characters.

7. In the Client Matter No. field, type in the client matter number (optional).

The maximum client matter number is 100 characters.

8. In the Description field, type in a case description (optional).

The maximum description is 200 characters.

9. In the Default Time Zone drop-down listing, click on the time zone where most of the events in the case occur.
10. In the Template Name drop-down listing, click CaseMap Default Template.

The CaseMap Default Template option displays by default until you have created one or more templates.

Once new SQL cases are marked as templates, the template names will display in alphabetical order for selection in the Template Name drop-down listing.

11. In the SQL Server drop-down listing, select the SQL Server that will host or store this case.
12. In the Database Name field, type in the SQL database name.

The maximum SQL database name is 128 characters.

13. Select whether to use a new database or use an existing database:
· Create the new database on the SQL Server
· Use an existing empty database on the SQL Server
14. Click the Test Connection button.
15. In the message box to confirm the connection, click OK.
16. In the message box, click OK to continue.

The case now displays in the SQL Cases pane.

17. Click Close when you are finished.
To mark the new SQL case as a CaseMap template
1. In the CaseMap Server pane, click SQL Cases.
2. Right-click on the new SQL case template you created and click SQL Case Properties.

SQL Case Properties > Case is a template

3. In the Case Information area, select the Case is a template check box.
4. Click the Test Connection button.
5. In the message box, click OK.
6. Click Apply, then click OK to save the setting.

The case template now displays in the SQL Cases list with a blue icon to identify it as a template.

The new case template name also displays in the Template Name drop-down listing when new SQL cases are created.
To create a new SQL case from a SQL template
1. Follow Steps 1-9 to create a new SQL case.

New CaseMap SQL Case > Create from a template

2. In the Template Name drop-down listing, select the template you want to use for the new SQL case.

If you choose the CaseMap Default Template option, you will create a new SQL case based on an empty case template (no users or case issues).

3. Select the Copy Users check box to include the template's case staff in the new SQL case.
4. Select the Copy Issues check box to include the template's case issues in the new SQL case.

You cannot copy any other spreadsheet detail into the new SQL case: users and issues only.

5. Complete Steps 11-17 to create the new SQL case from the selected template.

When the new SQL case is opened in CaseMap, the users and case issues included in the template display in the new case.

Related Topics

Configuring SQL Server for CaseMap templates

Creating new SQL cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Modifying TextMap ignore words
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

A default, global Ignore Words List is created in each new TextMap SQL case. If you modify the ignore word lists in TextMap, you will want to rebuild the case index to reflect those changes.

For more information about TextMap ignore words, refer to the TextMap Answer Center's Modifying ignore words topic.

To modify the Ignore Words list for TextMap SQL cases
1. In the CaseMap Server pane, click on the CaseMap Server (the root node in the navigation pane).

You can also right-click on the CaseMap Server and click CaseMap Server Properties.

2. Click on the CaseMap Server Properties button.
3. In the CaseMap Server Properties dialog box, click the Ignore Words tab.

CaseMap Server Properties > Ignore Words

4. Choose whether to add or delete a word from the list.
· Click the Add button to add a new term to the list.

In the Ignore Words dialog box, type in the new term, then click OK.

· Click the Delete button to remove a selected word from the list.
5. Click OK to save your changes.
To export the Ignore Words list
1. In the CaseMap Server pane, click on the CaseMap Server (the root node in the navigation pane).
2. Click on the CaseMap Server Properties button.
3. In the CaseMap Server Properties dialog box, click the Ignore Words tab.
4. Click the Export button.
5. In the Export Ignore Words dialog box, locate the directory folder where you want to save the file.
6. In the File Name box, type in the name you want for the list, then click Save.
To import the Ignore Words list
1. In the CaseMap Server pane, click on the CaseMap Server (the root node in the navigation pane).
2. Click on the CaseMap Server Properties button.
3. In the CaseMap Server Properties dialog box, click the Ignore Words tab.
4. Click the Import button.
5. In the Import Ignore Words dialog box, select the file you want to import, then click Open.

The new Ignore List is now added to the case file.

Related Topics

Accessing CaseMap Server properties

Bulk importing TextMap cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Identifying cases for OCR
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

If you have CaseMap version 10 cases registered with the CaseMap Server that have linked documents that require OCR processing, you can run the Find Cases Needing OCR tool to identify these cases. The tool lists each case and how many documents and pages that require OCR processing.

To find cases needing OCR processing
1. In the CaseMap Server pane, click SQL Cases.
2. On the Action menu, click Find Cases Needing OCR.
3. In the Find Cases Needing OCR dialog box, on the Output tab, review the list of cases.

If all cases are already OCR processed, a message displays: None of the cases need OCR.

Click the Errors tab to review any cases to which the tool could not connect in order to determine if there are documents that need OCR.

4. Click Close when you are finished.

Related Topics

About SQL cases

Creating SQL cases

Bulk importing CaseMap cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Changing the case server
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

We recommend that you only edit these values if you have moved or renamed a case database. Changing the SQL Server will not move or rename the SQL case database.

To change the server for a case
1. In the CaseMap Server pane, click on SQL Cases.
2. Right-click on the case you for which you want to change the server and click SQL Case Properties.

You can also double-click on the SQL case or click on the Action menu and then click SQL Case Properties.

3. In the SQL Case Properties dialog box, click the Change button.
4. In the message box, click OK.
5. In the SQL case Properties dialog box, select a new SQL Server in the SQL Server listing.
6. Click the Test Connection button to ensure a connection to the new SQL Server.
7. In the message box to confirm the connection, click OK.
8. Click OK when you are finished.

Related Topics

Editing case properties

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Renaming cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Each case name must be unique. The maximum case name is 100 characters.

The Rename dialog box allows you to use carriage returns to support manual line breaks in CaseMap report headers and title pages. A space is automatically added in the case name for each carriage return entered.

To rename a case
1. In the CaseMap Server pane, click on SQL Cases.
2. Right-click on the SQL case you want to rename and click Rename.

You can also click the Action menu and then click Rename.

3. In the Rename dialog box, type in the new SQL case name, and then click OK.

The new SQL case name now displays in the SQL Cases pane. The server list does not resort after a name change.

Related Topics

Creating new SQL cases

Editing case properties

Deleting cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Editing case properties
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

At least one case must be listed in the SQL Cases pane in order to edit case properties.

To edit case properties
1. In the CaseMap Server pane, click on SQL Cases.
2. Double-click on the SQL case for which you want to edit case properties.

You can also click the Action menu and then click SQL Case Properties, or right-click on the case file and click SQL Case Properties.

3. In the SQL Case Properties dialog box, click on the tab you want to edit: General, Users, or Indexing.

SQL Case Properties

If you are viewing a case properties for a TextMap case, the Indexing tab does not display.

4. Click OK to save your changes.

Related Topics

Renaming cases

Deactivating cases

Deleting cases

Editing index locations

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deactivating cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

We recommend that you email all assigned case users before deactivating a case. When you deactivate a case, any users currently working in the case will not be kicked out. However, they will not be able to log back into the case once they close it. Once the case is marked as deactivated a red dot will display on the case icon in the SQL Cases pane.

To deactivate a case
1. In the CaseMap Server pane, click on SQL Cases.
2. Double-click on the SQL case you want to deactive.

You can also click the Action menu and then click SQL Case Properties, or right-click on the case file and select SQL Case Properties.

3. In the SQL Case Properties dialog box, click on the General tab.

SQL Case Properties > Case is inactive

If you are viewing a case properties for a TextMap case, the Indexing tab does not display.

4. Select the Case is inactive check box.
5. Click OK or Apply to save the change.

Users cannot logon to this case until you clear the Case is inactive check box.

Related Topics

Editing case properties

Deleting cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deleting cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Delete cases that staff no longer need to access. When a case is deleted, it is no longer registered in the SQL Server database. The SQL Server database itself is not deleted.

We recommend that you email all assigned case users before deleting a case. When you delete a case, any users currently working in the case will not be kicked out. However, they will not be able to log back into the case once they close it.

Once a case is deleted, the action cannot be undone. For assistance with archiving the case file databases, contact your SQL Server administrator.

To delete a case
1. In the CaseMap Server pane, click SQL Cases.
2. Select the case you want to delete.
3. Click the Delete button on the toolbar.

You can also right-click on the case and click Delete or select Delete from the Action menu.

4. In the message box, click OK.
5. In the message box to confirm the action, click Yes.

The case no longer displays in the SQL Cases pane or the User Properties dialog box for those users assigned to the case.

Related Topics

Editing case properties

Deactivating cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Upgrading cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can upgrade SQL cases to a newer SQL case version and to install any of the latest updates released. If the selected upgrade is a major upgrade (such as upgrading a CaseMap 10 SQL case to a CaseMap 11 SQL case), a message box displays alerting you that a new version of CaseMap or TextMap is required. Once the case is upgraded, users will not be able to open the case in a previous version.

Upgrading a case is an exclusive administrative task. The upgrade process will disconnect all case users, and any unsaved changes will be lost.

You can only upgrade one case at a time. After the upgrade is complete, you need to add an index location to the case if it is a CaseMap v10.0+ case. See Adding index locations.

We recommend you email all users prior to upgrading a case to ensure all users are logged out beforehand.

Ensure you have a current backup copy of the case before upgrading it to a newer version.

To upgrade a SQL case
1. In the CaseMap Server pane, click SQL Cases.
2. Select the case you want to upgrade.
3. On the Action menu, click Upgrade Case.

You can also right-click on the case and click Upgrade Case.

4. In the Upgrade Case dialog box, verify the case information and select the available upgrade (e.g., Upgrade to CaseMap 11) you want.

5. Click the Upgrade button.
6. In the message box alerting you of a major upgrade, click Yes to upgrade the case.

This message will not display for minor upgrades, such as installing a hot fix.

7. In the message box stating that all active case users will be disconnected, click Yes.
8. In the message box confirming the upgrade, click OK.

The new CaseMap version now displays for this case in the SQL Cases pane.

Related Topics

About SQL cases

Editing case properties

Deactivating cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting a copy of a SQL case
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can create and export a copy of a CaseMap 11 SQL case from the CaseMap Server Admin Console.

Exporting a copy of a CaseMap 11 SQL case
1. In the CaseMap Server pane, click on SQL Cases.
2. Select a CaseMap 11 SQL case.
3. On the Action menu, click Export to Local Case, and then click Create Replica.
4. In the Select a location for the case replica dialog box, locate the directory where you want to save the case replica, then click Save.
5. In the message box, click Yes or No to set a password for the case replica.

If you click Yes, type in a password and confirm it in the Case Password dialog box, then click OK.

This is a global password that applies to all case users accessing the replica.

6. In the Replica Comments dialog box, type in any case comments or a description, then click OK.

A status box shows the export progress of converting the SQL case to an Access case.

7. In the message box to confirm the case export, click OK.

Notice that the file location displays in the message box.

The case replica can now be accessed.

Related Topics

Exporting a case list

Creating replica SQL cases

Creating snapshots

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting case metrics
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can export a case metrics report that displays statistics about the data in each CaseMap and TextMap case. The report does not display any user-entered data. The report is saved to a .csv file.

To export case metrics
1. In the CaseMap Server pane, click SQL Cases.
2. On the Action menu, click Export Case Metrics.
3. In the Save As dialog box, navigate to the folder where you want to save the report, then click Save.
4. In the Exporting Case Metrics dialog box, on the Output tab, review the report output.

Click on the Errors tab to review any issues with the export.

5. Click on the .csv file to open the file and review case metrics.

Related Topics

About SQL cases

Creating SQL cases

Registering existing SQL cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting a case list
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

An exported SQL case list is saved in a directory folder where you can reference it later using Microsoft® Excel. Both CaseMap and TextMap SQL cases display in the case list.

To export a case list
1. In the CaseMap Server pane, click on SQL Cases.
2. Click the Export list button [image] .
3. In the Save As dialog box, locate the folder where you want to save the exported case list, then click Save.
4. In the export complete message box, click OK to confirm the export.

Related Topics

Exporting a case database

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting a case database
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can export both local and SQL cases. SQL cases are exported from the CaseMap Server Admin Console. Local cases are exported from the CaseMap and TextMap client applications by creating replica cases.

To export a case database

To create SQL case replicas in the CaseMap Admin Console, see Creating replica SQL cases.

To export a copy of a CaseMap 11 SQL case, see Exporting a copy of a SQL case.

To create replicas of local cases in the client application:

· For CaseMap, see the Creating replica cases topic in the CaseMap Answer Center.
· For TextMap, see the Creating replica cases topic in the TextMap Answer Center.

Related Topics

Exporting a case list

Creating snapshots

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Creating snapshots
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Snapshots are a point-in-time picture of a CaseMap case that preserves current data. Use snapshots for case staff who need to view and filter case data and generate reports. Snapshots cannot be used to edit data in a CaseMap case. Snapshots cannot be synchronized with the master case. Any edits case staff make in their snapshot copy of the case must be manually entered in the master case. Snapshot file names must be unique.

Saved snapshots can be restored to see what the contents of a case were at a particular time.

To create a snapshot
1. In the CaseMap Server pane, click on SQL Cases.
2. Click on the CaseMap SQL case for which you want to create a snapshot.
3. On the Action menu, click Export to Access, and then click Create Snapshot.

Or right-click on the case, click Export to Access, and then click Create Snapshot.

4. In the Select a location for the exported case dialog box, select the directory folder, then click Save.
5. In the message box, click Yes or No to set a password for the snapshot.

If you click Yes, type in a password and confirm it in the Case Password dialog box, then click OK.

This is a global password that applies to all case users accessing the snapshot.

6. In the message box to confirm the case export, click OK.

Notice that the file location displays in the message box.

Related Topics

Creating replica SQL cases

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About SQL case indexes
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The Index Locations pane allows you to set up and manage CaseMap case indexes. In the Index Locations pane you can view a complete listing of all index locations and their paths.

The index location is the folder where the index is stored for one or more cases. The index location path should be a UNC path and a network location accessible to any user in any case using this location. For example: \\server\indexes\my location.

Before changing or removing the index location path, ensure that the cases are offline and no users are working in the cases. Otherwise, users may see inconsistent search results. Changing or removing the path will not delete the files stored in the specified folder.

Index Locations pane

Use the Index Locations pane to:

· Add index location
· Edit case index locations
· Link index locations
· Edit index location properties
· Rename index locations
· Delete index locations
· Export an index location list

Related Topics

Adding index locations

Editing index locations

Renaming index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Adding index locations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

SQL cases for CaseMap v10+ and TextMap 7.0+ require that you add an index location. The index location is the folder where the index is stored for one or more cases. You must enter both a name and path for each index location. The path must be a UNC path and a network location accessible to all users in any case using the index location. For example: \\server\indexes\my location.

Each index location name must be unique, however two index locations may have the same path. You can also set a default index location for all new SQL cases. See Setting a default index location.

The index location displays in the SQL Cases list in the Index Locations column. If a case is not linked to an index location, "Not Set" displays in the Index Location column. For CaseMap v9.0 and TextMap v6.0 cases, an index location is not needed and "N/A" displays in the Index Location column.

Index Location column

To add an index location to a server
1. In the CaseMap Server pane, click Index Locations.

You can also click the View menu and then click Index Locations.

2. Click the New Index Location button.

You can also right-click on Index Locations and click New Index Location or click the Action menu and click New Index Location.

The New Index Location dialog box displays.

3. In the Name field, type in the name for the index location.

New Index Location I

The maximum name is 100 characters.

4. Click the Browse button to set to the path.

The maximum path is 1,000 characters.

5. In the Browse for Folder dialog box, navigate to the network folder you want to use, then click OK.
6. Click the Create button.

The index location now displays in the Index Location column on the SQL Cases pane.

7. Click Close.
To add an index location to a case
1. In the CaseMap Server pane, click SQL Cases.
2. Click on the case for which you want to add an index location.
3. Click the SQL Case Properties button .
4. In the SQL Case Properties dialog box, click the Indexing tab.

SQL Case Properties > Indexing

5. Click the Change button.
6. In the Select Index Location dialog box, click on the index location you want, then click OK.

Click the New Location button if you want to add a new index location.

In the New Index Location dialog box, type in the new index name and path, then click OK.

Select Index Location

7. Click OK.

The index location now displays in the SQL Cases pane in the Index Location column.

Related Topics

About SQL case indexes

Editing index locations

Renaming index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Setting a default index location
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The default index location setting is only used as a default when registering new SQL cases in the CaseMap Admin Console. The default index location is linked to the SQL Server and must be a UNC path and a network location that is accessible to all users in any case using this index location. For example: \\server\indexes\my location.

If the SQL Server does not have an index location set, then new registered SQL cases will not have an index location. You will need to add the index location later.

Changing the index location will not remove any existing index data to the new location. Removing the default index location will not affect existing cases. If another users changes the index location for a selected SQL Server after the New or Register SQL Case Database dialog box displays, the new index location should be copied from the selected SQL Server.

When creating or registering a CaseMap v10.0 SQL case, the index location for the SQL Server will not be linked to that case.

To set a default index location
1. In the CaseMap Server pane, click SQL Servers.

You can also click the View menu and then click SQL Servers.

2. Click on the SQL Server for which you want to set an index location.
3. Click the SQL Server Properties button.
4. In the SQL Server Properties dialog box, click the Indexing tab.

SQL Server Properties > Indexing

5. Click the Change button to add an index location.
6. In the Select Index Location dialog box, click on the index location you want to use as the default, then click OK.

Click the New Location button if you want to use a new index location as the default.

In the New Index Location dialog box, type in the new index location name and path, then click OK.

7. In the SQL Server Properties dialog box, click Apply and then click OK.

The default index name now displays in the SQL Servers pane.

Related Topics

About SQL case indexes

Adding index locations

Editing index location properties

Renaming index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Editing case index locations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can change or remove the index location for existing SQL cases. The index location must be a UNC path and a network location accessible to all users in any case using the index location. For example: \\server\indexes\my location.

Before changing or removing the index location, ensure that the case is offline and no users are working in the case. When you remove the index location, indexing, OCR processing, and searching is disabled for the case.

Changing the index location setting will not move any existing index data to the new location. We recommend that you do not change the index location for cases that users are actively working in. Once a case has a new index location, the case can be indexed with it stored at the new location.

If another user has deleted an index location while you have the SQL Case Properties dialog box open, you will not be able to select the index location. The other user's changes are retained.

To change the index location for an existing case
1. In the SQL Cases pane, click on the SQL case you want to link to an index location.
2. Click on the SQL Case Properties button.
3. In the SQL Case Properties dialog box, click on the Indexing tab.

SQL Case Properties

4. Click the Change button.
5. In the Select Index Location dialog box, click on the index location you want or click the New Location button.

In the New Index Location dialog box, type in the new index location name and path, then click OK.

7. Click OK.
8. In the SQL Case Properties dialog box, click OK.

The new index location now displays in the Index Location column in the SQL Cases list.

Index locations are sorted by the index location name.
To remove an index location from a case
1. In the SQL Cases pane, click on the SQL case for which you want to remove an index location.
2. Click on the SQL Case Properties button.
3. In the SQL Case Properties dialog box, click on the Indexing tab.
4. Click the Remove button.
5. In the message box, click Yes.
6. Click OK.

The index location now displays as "Not Set".

Related Topics

About SQL case indexes

Adding index locations

Editing index location properties

Renaming index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Editing index location properties
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can edit the index location path in the Index Location Properties dialog box. The index location must be a UNC path and a network location accessible to all users in any case using the index location. For example: \\server\indexes\my location.

Before editing the path, we recommend that you take all cases linked to this index location offline. Changing the path will not move any existing index data to the new location.

To edit index location properties
1. In the Index Locations pane, click on the index location you want to edit.
2. Click the Index Location Properties button.
3. In the Index Location Properties dialog box, click the Change button.

Index Location Properties

4. In the message box, click Yes.
5. Click the Browse button.

You can also manually edit the path by clicking Cancel in the Browse for folder dialog box.

6. In the Browse for Folder dialog box, navigate to the new index location, and then click OK.
7. Click OK to save the changes.

Related Topics

About SQL case indexes

Adding index locations

Editing case index locations

Renaming index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Renaming index locations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Each index location name must be unique. The Index Locations list does not resort after a name change.

To rename index locations
1. In the CaseMap Server pane, click on Index Locations.
2. Right-click on the index location you want to rename and click Rename.

You can also click the Action menu and then click Rename.

3. In the Rename dialog box, type in the new Index Location name, and then click OK.

The new index location name now displays in the Index Locations and SQL Cases panes.

Related Topics

About SQL case indexes

Adding index locations

Editing index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deleting index locations
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Delete index locations that users no longer need to access. Any files or folders in the index location path will not be deleted. You cannot delete index locations that are linked to any cases or servers.

To delete an index location
1. In the CaseMap Server pane, click Index Locations.
2. Right-click on the index location you want to remove and click Delete.

You can also click the Delete button or click Delete on the Action menu.

3. In the message box, click Yes.

Related Topics

About SQL case indexes

Adding index locations

Editing index locations

Renaming index locations

Exporting an index list

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Exporting the index locations list
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

An exported index location list is saved in a directory folder where you can reference it later using Microsoft® Excel. The index location name and path display in the list.

To export the index locations list
1. In the CaseMap Server pane, click on Index Locations.
2. Click the Export list button [image].
3. In the Save As dialog box, locate the folder where you want to save the exported index list, then click Save.
4. In the message box to confirm the export, click OK.

Related Topics

About SQL case indexes

Adding index locations

Editing case index locations

Editing index location properties

Renaming index locations

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Creating replica SQL cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Replicas of SQL cases can be created in the CaseMap Admin Console and in the CaseMap and TextMap client applications. Replicas of local cases can only be created in CaseMap or TextMap.

The replication process in the CaseMap Admin Console is nearly identical to the replication process in the CaseMap and TextMap client applications. At least one user must be assigned to a SQL case in the CaseMap Admin Console before a replica can be created. All users assigned to a SQL case will be exported when the replica case is created. Like local case replicas, you also have the option to password protect SQL case replicas.

Synchronization of cases is done only in CaseMap and TextMap. CaseMap replicas can only be synchronized with the master case once. TextMap cases can be synchronized with the master case repeatedly, as needed. If you have multiple remote users that need to work in a replica, create a separate replica for each user. Users can be granted permission in the CaseMap Admin Console to create replicas for both local and SQL cases.

All case replica names (local and SQL versions) must be unique. Creating a replica copy of a CaseMap or TextMap case database is an exclusive process. Case staff cannot access the master case during this process.

For more information on how to replicate local cases in the CaseMap client, see the following topics in the CaseMap Answer Center:

· About replicating/synchronizing cases
· Creating replica cases
· Converting replicas to master cases

For more information on how to replicate local cases in the TextMap client, see the following topics in the CaseMap Answer Center:

· About replicating/synchronizing cases
· Creating replica cases

To create replica SQL cases
1. In the CaseMap Server pane, click on SQL Cases.
2. Click on the case for which you want to create a replica.
3. On the Action menu, click Export to Local Case, and then click Create Replica.

Or right-click on the case, click Export to Local Case, and then click Create Replica.

4. In the Select a location for the case replica dialog box, locate the directory where you want to save the case replica, then click Save.
5. In the message box, click Yes or No to set a password for the case replica.

If you click Yes, type in a password and confirm it in the Case Password dialog box, then click OK.

This is a global password that applies to all case users accessing the replica.

6. In the Replica Comments dialog box, type in any case comments or a description, then click OK.

A status box shows the export progress of converting the SQL case to an Access case.

7. In the message box to confirm the case export, click OK.

Notice that the file location displays in the message box.

The case replica can now be accessed by users in CaseMap or TextMap.

Related Topics

Synchronizing SQL cases

Creating snapshots

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Synchronizing SQL cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Synchronizing SQL case replicas with the master case is done in the CaseMap and TextMap client applications. CaseMap replicas can be synchronized with the master case only once. TextMap cases can be synchronized with the master case repeatedly, as needed.

To replicate and synchronize cases in CaseMap

For more information on how to synchronize local and SQL cases in the CaseMap client, see the following topics in the CaseMap Answer Center:

· About replicating/synchronizing cases
· Synchronizing cases
· Synchronizing linked documents from a replica
· Reviewing synchronization history
To replicate and synchronize cases in TextMap

For more information on how to synchronize local and SQL cases in the TextMap client, see the following topics in the CaseMap Answer Center:

· About replicating/synchronizing cases
· Synchronizing cases

Related Topics

Creating replica SQL cases

Creating snapshots

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About CaseMap SharePoint Web Parts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts site allows you to display CaseMap spreadsheet data so that case staff can quickly view case data in a central location — without having to manually retrieve data from the case. The CaseMap SharePoint Web Parts site is essentially the equivalent of publishing a CaseMap report to the Internet, allowing case staff who do not have access to CaseMap to view case data. Case data that can be displayed includes spreadsheets, issue outlines, and a list of team members/staff assigned to the case. A case hyperlink can also be added so that you can open a case file in CaseMap directly from the site page.

CaseMap SharePoint Web Part overview

The CaseMap SharePoint Web Parts site contains four web part options specific to CaseMap for you to use to display case data:

· CaseMap - Case Issue Outline
· CaseMap - Case Spreadsheet Data
· CaseMap - Case Team Members
· CaseMap - Case Link

The CaseMap SharePoint Web Parts are connected using Active Directory, so case staff can open a web parts page displaying their assigned case data without having to log on to CaseMap. This set up ensures that each case's web page data is restricted to only those users who are assigned to view it.

The CaseMap SharePoint Web Parts site require and connect with the CaseMap Server and is compatible with CaseMap v9.0 (SQL version). You must test the connection with the CaseMap Server to verify that the service URL and credentials are valid. When the connection succeeds, you can then access a list of active SQL cases that you can publish case data from and display on the CaseMap Sharepoint Web Parts site.

You must have admin rights to the CaseMap Server/CaseMap Admin Console in order to install the CaseMap SharePoint Web Parts. The CaseMap Server must be installed and set up before you can install and begin using the CaseMap SharePoint Web Parts.

During configuration, if you change the URL, authentication type, or user credentials, then you must start the configuration process over again.

Related Topics

System requirements v1.0

Deploying the CaseMap SharePoint Web Parts


System requirements v1.0

Navigation: Using the CaseMap SharePoint Web Parts > Installing CaseMap SharePoint Web Parts:

CaseMap SharePoint Web Parts System requirements v1.0
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts site is the Microsoft Office SharePoint Server site and content management web part that allows you to connect the CaseMap Server and publish spreadsheet data from CaseMap SQL cases — without having to manually retrieve data from case files. CaseMap data is then published to this central location for case staff to access easily without having to open a case to view it.

CaseMap SharePoint Web Server requires the following:

· CaseMap v9.0 (SQL version)
· CaseMap Server v1.6
· Microsoft Windows Server 2003 or 2008
· Microsoft Office SharePoint Server 2003 or 2007

The CaseMap SharePoint Web Parts must be deployed from Microsoft Office SharePoint Server 2003 or 2007.

You must have admin rights to the CaseMap Server/CaseMap Admin Console in order to install the CaseMap SharePoint Web Parts. The CaseMap Server must be installed and set up before you can install and begin using the CaseMap SharePoint Web Parts.

To launch a CaseMap case effectively from the hyperlink on the site page, you must be using Microsoft Internet Explorer. Opening a case from the site page does not work well with Mozilla Firefox and other Internet browsers.

Related Topics

Deploying the CaseMap SharePoint Web Parts

Installing CaseMap Server

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deploying the CaseMap SharePoint Web Parts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts allow you to connect with the CaseMap Server and select the CaseMap SQL cases from which you want to publish data. To install the CaseMap SharePoint Web Parts, you need to deploy the spwebpartsdeploy.cab file from Microsoft SharePoint and test authentication with the REST web service.

Once installed, you will configure the CaseMap SharePoint Web Parts to point to the CaseMap Server. The CaseMap SharePoint Web Parts support both Windows and simple authentication.

· For Windows authentication, the URL should end with "CaseMapAD\CMServerAD.svc".
· For simple authentication, the URL should end with "CaseMapLA\CMServerLA.svc".

You must have admin rights to the CaseMap Server/CaseMap Admin Console in order to install the CaseMap SharePoint Web Parts. The CaseMap Server must be installed and set up before you can install and begin using the CaseMap SharePoint Web Parts.

To deploy the CaseMap SharePoint Web Parts
1. Launch the Microsoft SharePoint Central Administration Site.
2. Click the Operations tab.

Central Administration > Operations

3. Under Global Configuration, click Solutions Management.

Global Configuration > Solution management

4. On the Solutions Management page, click on the spwebpartsdeploy.cab file.

5. Click the Deploy Solution link.

Solution Properties > Deploy Solution

6. Launch the site containing the page that will contain the web parts.
7. Click the Site Actions button [image] and then click Edit Page.
8. Locate the web part zone to which you want to add a web part.
9. Click the Add a Web Part link.

Web Part Zone > Add a Web Part

10. In the Add a Web Parts dialog box, scroll to the Miscellaneous section.

Add Web Parts dialog box

11. Select the CaseMap Hello World Test check box to test authentication with the REST service.
12. Click the Add button.

The web part now displays in the Edit Page.

13. Click the Publish button [image] to publish data to the page, if required.

You can now set up the web part with the appropriate properties.

Related Topics

About CaseMap SharePoint Web Parts

Displaying case staff

Displaying issue outlines

Displaying spreadsheet data

Adding a CaseMap case shortcut

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Displaying case staff
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts site allows you to display a list of active staff members in a CaseMap case without having to manually retrieve the data from the case.

In the CaseMap - Case Team Members panel, you can select the case from which you want to display a list of users. On the CaseMap SharePoint Web Parts site, the Case Team Members list displays user names in a first name, last name format. The listing is sorted by last name. Case staff that have been deleted from a case will display with "Deleted" next to their short name in the list.

Case Team Members list

To add case team members
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to display case staff.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.

The Edit Content page displays with the web part page template for you to edit.

4. Click on the Add a Web Part link in the web part zone where you want the case staff list to display.

Web Part Zone

5. In the Add Web Parts dialog box, scroll down to the All Web Parts section until you find the Miscellaneous options.

Add Web Parts - Case Team Members

6. Under the Miscellaneous section, select the CaseMap - Case Team Members check box.
7. Click the Add button.

The new CaseMap - Case Team Members web part displays in the area you designated. You now need to edit the web part so that data displays in it.

8. In the new CaseMap - Case Team Members web part, click the Edit button.

Edit > Modify Shared Web Part

9. Click Modify Shared Web Part.

The CaseMap - Case Team Members panel now displays to the right.

10. In the CaseMap - Case Team Members panel, type in the URL for the CaseMap Server REST web service.

CaseMap Configuration > Case Team Members

For example, for Windows authentication: http://[server:port]/CaseMapAD/CMServerAD.svc

For simple authentication: http://[server:port]/CaseMapLA/CMServerLA.svc

11. In the Authentication Type area, click the authentication type you want to use: Windows Authentication or Local User.

If you click Local User, then enter your user name and password.

12. Click the Test Connection button to verify the connection to the web service and the CaseMap Server.

When the connection is established, a CaseMap Case field displays.

13. In the CaseMap Case list, click on the case containing the information you want to display.

14. In the Appearance section, click in the Title field, if you want to edit the case team members title.
15. Click the Ellipses button [image] .

The default name is CaseMap - Case Team Members. You can change the title to reflect the current case name, such as Hawkins v. Anstar Case Team Members.

16. In the Text Entry dialog box, type in the case team member name you want to display in the web part.
17. Click OK to save your changes.
18. Click the Apply button to view your changes without closing the pane.

Click OK to save your changes and close the pane.

The case team members list now displays in the CaseMap - Case Issue Outline web part.

19. On the SharePoint toolbar, click the Publish button [image] to publish this data on the case page so case staff can now view it.

To customize spreadsheet data display, see Customizing data display.

Related Topics

Customizing data display

Deleting web parts

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Displaying issue outlines
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts site allows you to display issue outlines so that case staff can quickly view case data in a central location without having to manually retrieve data from the case. You can only display case issues for active CaseMap SQL cases.

Case Issue Outline

Each time you access the SharePoint site or publish to it, the issue outline displays in an expanded view to show all parent and child issues. The issue outline can be collapsed to view only a parent level list.

Configuring an issue outline includes:

· Short name or full name display
· Issue outline number display

To add issue outlines
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to add an issue outline.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.

The Edit Content page displays with the web part page template for you to edit.

4. Click on the Add a Web Part link in the web part zone where you want the new issue outline to display.

Web Part Zone

5. In the Add Web Parts dialog box, scroll down to the All Web Parts section until you find the Miscellaneous options.

Add Web Parts - Case Issues Outline

6. Under the Miscellaneous section, select the CaseMap - Case Issue Outline check box.
7. Click the Add button.

The new CaseMap - Case Issue Outline web part displays in the area you designated. You now need to edit the web part so that data displays in it.

8. In the new CaseMap - Case Issue Outline web part, click the Edit button.

Edit > Modify Shared Web Part

9. Click Modify Shared Web Part.

The CaseMap - Case Issue Outline panel now displays to the right.

10. In the CaseMap - Case Issue Outline panel, type in the URL for the CaseMap Server REST web service.

CaseMap Configuration > Case Issue Outline

11. In the CaseMap Server REST web service URL field, type in the URL the web part uses connect to the CaseMap Server web service.

For example, for Windows authentication: http://[server:port]/CaseMapAD/CMServerAD.svc

For simple authentication: http://[server:port]/CaseMapLA/CMServerLA.svc

12. In the Authentication Type area, click the authentication type you want to use: Windows Authentication or Local User.

If you click Local User, then enter your user name and password.

13. Click the Test Connection button to verify the connection to the web service and the CaseMap Server.

When the connection is established, a CaseMap Case field displays.

14. In the CaseMap Case list, click on the case containing the information you want to display.

CaseMap Case Settings

15. In the Issue Name Display list, click Short Name or Full Name.

The default is Full Name.

16. Select or clear the Show Issue Outline Numbers check box according to the case staff's viewing preference.

This option is enabled by default.

17. In the Appearance section, click in the Title field, if you want to edit the issue outline title.
18. Click the Ellipses button [image] .

The default name is CaseMap - Case Issue Outline. You can change the title to reflect the current case name, such as Hawkins v. Anstar Issue Outline.

19. In the Text Entry dialog box, type in the issue outline name you want to display in the web part.
20. Click OK to save your changes.
21. Click the Apply button to view your changes without closing the pane.
22. Click OK to save your changes and close the pane.

The issue outline now displays in the CaseMap - Case Issue Outline web part.

23. On the SharePoint toolbar, click the Publish button [image] to publish this data on the case page so case staff can now view it.

To customize spreadsheet data display, see Customizing data display.

Related Topics

Customizing data display

Deleting web parts

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Displaying spreadsheet data
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts site allows you to display spreadsheet data so that case staff can quickly view case data in a central location without having to manually retrieve data from the case. You can also publish custom spreadsheets too.

You can easily edit the spreadsheet data for how you want it to display. Once you have modified the display settings, you can then publish the data to the CaseMap SharePoint Web Parts page for users to view.

Case Spreadsheet Data

Configuring a spreadsheet includes:

· Adjusting the page size
· Adjusting page numbering display (Top, Bottom, or Top and Bottom)
· Selecting a paging style display (Next Page/Prev Page buttons or number links)

You can specify spreadsheet page size settings of 5, 10, 25, 50, or 100. The default is 10.

To view spreadsheet field data display considerations

The following list provides spreadsheet field data display considerations when data is published to the CaseMap SharePoint Web Parts site for users to view.

· A maximum of 100 documents can be displayed.
· Views determine the fields and sort order, and are associated with each user. Any user's spreadsheet view can be selected to display spreadsheets data.
· Dates display in YYYY-MM-DD format and include time and date ranges if applicable.
· Time stamped fields display in the proper date format (HH:MM:SS).
· Time displays in the default time zone, even if a time zone was specified during data entry.
· Currency fields display with dollar signs and the proper number of digits beyond the decimal point (2 or 4). If the last two digits are zeros, they will not display.
· Fields that contain links to documents or files are not included in the spreadsheet data display on the site page. These fields include Linked Summary fields, Related Files fields, and the Linked Element field on the Questions spreadsheet.
· Object and issue names can be displayed in either the Full Name or Short Name format.
· Persons names display in the First Name/Last Name format just like in CaseMap.
· The Linked Issues field displays the issue short name just like in CaseMap.

To add case spreadsheets
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to add a spreadsheet.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.

The Edit Content page displays with the web part page template for you to edit.

4. Click on the Add a Web Part link in the web part zone where you want the new spreadsheet data to display.

Web Part Zone

5. In the Add Web Parts dialog box, scroll down to the All Web Parts section until you find the Miscellaneous settings.

Add Web Parts > CaseMap Case Spreadsheets

6. Under the Miscellaneous section, select the CaseMap - Case Spreadsheet Data check box.
7. Click the Add button.

The new CaseMap - Case Spreadsheet Data web part displays in the area you designated. You now need to edit the web part so that data displays in it.

8. In the new CaseMap - Case Spreadsheet Data web part, click the Edit button.

Edit > Modify Shared Web Part

9. Click Modify Shared Web Part.

The CaseMap - Case Spreadsheet Data panel now displays to the right.

10. In the Case Spreadsheet Data panel, type in the URL for the CaseMap Server REST web service.

CaseMap Configuration > Case Spreadsheet Data

For example, for Windows authentication: http://[server:port]/CaseMapAD/CMServerAD.svc

For simple authentication: http://[server:port]/CaseMapLA/CMServerLA.svc

11. In the Authentication Type area, click the authentication type you want to use: Windows Authentication or Local User.

If you click Local User, then enter your user name and password.

12. Click the Test Connection button to verify the connection to the web service and the CaseMap Server.

When the connection is established, a CaseMap Case field displays.

13. In the CaseMap Case list, click on the case for which you want to display spreadsheet data.

Case Spreadsheet Settings

14. In the Case Spreadsheet list, click on the spreadsheet for which you want to display data.
15. In the Spreadsheet View list, click on the user to view the user's spreadsheet views.

Views are associated with each user. Any user's spreadsheet view can be selected to display.

16. In the Select a view to determine the fields and sort order list, click on the spreadsheet view you want to display for that user.

The Spreadsheet Paging Options panel now displays.

17. In the Page Size list, click on the number of pages you want to display for navigating spreadsheet data.

Spreadsheet Paging Options

18. In the Position list, click on the display option for navigation controls: Bottom, Top or Top and Bottom.
19. In the Style list, click on the style option for navigation controls: Next/Previous, Next/Previous/First/Last, Numeric, or Numeric/First/Last.
20. In the Object and Issue Name Display list, click on Short Name or Full Name.

This field defaults to Full Name.

21. In the Appearance section, click in the Title field, if you want to edit the spreadsheet title.
22. Click the Ellipses button [image] .

The default name is CaseMap - Case Spreadsheet Data. You can change the title to reflect the spreadsheet data your are displaying, such as Facts spreadsheet or Documents spreadsheet.

22. In the Text Entry dialog box, type in the spreadsheet name you want to display in the web part.
23. Click OK to save your changes.
23. Click the Apply button to view your changes without closing the pane.
24. Click OK to save your changes and close the pane.

The case spreadsheet data you specified now displays in the CaseMap - Case Spreadsheet Data web part.

25. Click the Publish button [image] to publish this data on the case page so case staff can view it.

To customize spreadsheet data display, see Customizing data display.

Related Topics

Customizing data display

Deleting web parts

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Displaying a case hyperlink
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

The CaseMap SharePoint Web Parts site allows you to display a case hyperlink so case staff can open a CaseMap SQL case in CaseMap directly from the site page. The case hyperlink only works internally inside your organization's Intranet; it will not work on a public Internet site.

In order to open a case file using the CaseMap - Case Link:

· CaseMap SharePoint Web Part site users must be added as a user in the CaseMap SQL case (CaseMap Admin Console) in order to open it.
· CaseMap must be installed on the desktop that is also accessing the CaseMap SharePoint Web Parts page.
· In the File Download dialog box, click the Open button (not Save).

To launch a CaseMap case effectively from the hyperlink on the site page, you must be using Microsoft Internet Explorer. Opening a case from the site page does not work well with Mozilla Firefox and other Internet browsers.

To add a CaseMap SQL case link shortcut
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to display the case link.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.
4. The Edit Content page displays with the web part page template for you to edit.
5. Click on the Add a Web Part link in the web part zone where you want the case link to display.

Web Part Zone

6. In the Add Web Parts dialog box, scroll down to the All Web Parts section until you find the Miscellaneous settings.

Add Web Parts > CaseMap Case Link

7. Click the Add button.

The new CaseMap - Case Link web part displays in the area you designated. You now need to edit the web part so that the hyperlink displays in it.

8. In the new CaseMap - Case Link web part, click the Edit button.

Edit > Modify Shared Web Part

9. Click Modify Shared Web Part.

The CaseMap - Case Link panel now displays to the right.

10. In the CaseMap - Case Link panel, type in the URL for the CaseMap Server REST web service.

For example, for Windows authentication: http://[server:port]/CaseMapAD/CMServerAD.svc

For simple authentication: http://[server:port]/CaseMapLA/CMServerLA.svc

If you click Local User, then enter your user name and password.

11. Click the Test Connection button to verify the connection to the web service and the CaseMap Server.

When the connection is established, a CaseMap Case field displays.

12. In the CaseMap Case list, click on the case for which you want to display a hyperlink.

CaseMap Case Link

13. In the Link Text field, the case name automatically displays.

You can edit the case name for how it will display as a hyperlink.

14. In the CaseMap Application Path field, type in the full path to the CaseMap.exe file.

The default path is C:\Program Files\Casesoft\CaseMap9\CaseMap.exe.

You can edit this path. The text should default to the case name.

15. In the Appearance section, click in the Title field, if you want to edit the case link title that displays at the top of the web part zone.
16. Click the Ellipses button [image].

The default name is CaseMap - Case Link.

17. Click OK to save your changes.
18. Click the Apply button to view your changes without closing the pane.
19. Click OK to save your changes and close the pane.

The case link now displays in the CaseMap - Case Link web part.

20. On the SharePoint toolbar, click the Publish button [image] to publish the link on the case page so case staff can now view it.

To customize spreadsheet data display, see Customizing data display.
To open a SQL case from the site page

When opening a SQL case from the hyperlink on the site page, it is best to only click the Open button (and not Save). Please ensure that case staff opening cases from the CaseMap SharePoint Web Parts site understand these procedures.

1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to display the case link.
3. Click on the case link.
4. In the File Download dialog box, click Open.
5. In the Connect to CaseMap Server dialog box, type in your log on credentials, then click Connect.

The SQL case file now displays in CaseMap.

Related Topics

About CaseMap SharePoint Web Parts

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Customizing data display
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can customize how CaseMap case data displays for each web part on the CaseMap SharePoint Web Parts site. Each spreadsheet, issue outline, or team member case pane has three panels for customizing the display:

· Appearance
· Layout
· Advanced

The steps covered in this topic refer to editing Appearance settings. To learn how to use the Layout and Advanced settings, please reference the Microsoft SharePoint documentation.

To edit web part display
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to edit a spreadsheet.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.

The Edit Content page displays the web part page template for you to edit.

4. Locate the web part for which you want to edit data display.
5. Click on the Edit button and then click Modify Shared Web Part.

Edit > Modify Shared Web Part

The CaseMap Case panel displays for the web part you selected: Spreadsheet, Issue Outline, or Team Members.

6. In the CaseMap Case panel, scroll until you see the Appearance section.
7. In the Title field, type in the name of the CaseMap spreadsheet, issue outline, and team members list that you want to display for the web part.
8. In the Height area, select whether the web part should have a fixed height.
· If you click Yes, then type in the display height you want and click the height measurement you want to use.

This field defaults to Pixels.

· If you click No, then the data displayed is automatically adjusted to the height of the zone.
9. In the Width area, select whether the web part should have a fixed width.
· If you click Yes, then type in the display width you want and click the width measurement you want to use.
· If you click No, then the data displayed is automatically adjusted to the width of the zone.
10. In the Chrome State area, click Minimized or Normal.
· Normal displays the entire web part.
· Minimized displays the title bar for the web part.
11. In the Chrome Type area, select the title bar and border setting you want to use: Default, None, Title and Border, Title Only, and Border Only.
12. Click the Apply button to view your changes without closing the pane.
13. Click OK to save your changes and close the pane.

Related Topics

Displaying case staff

Displaying issue outlines

Displaying spreadsheet data

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Modifying a web part
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

You can easily edit a web part once it has been published to a CaseMap SharePoint Web Parts page for viewing. All you need to do is click on the web part zone you want to edit, make the necessary changes, and then publish the updates so users can view the data the way you want it displayed.

If you want to display case data in the same location as other data, you can add it to the same web part zone. For example, if you want to display case data in the Top Right web part zone, you can click the Add a Web Part link to add case data to the same zone. The new case data will display in the same location, above the current case data. Otherwise, click on the Add a Web Part link for the web part zone you want (Header, Center, Right, etc.).

You can rearrange data display within a web part zone by clicking on the corner of the active data (outlined in an orange dotted line) and dragging it above or below other data.

To modify a web part
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to display case staff.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.

The Edit Content page displays with the web part page template for you to edit.

4. In the web part zone you want to edit, click the Edit button.

Edit > Modify Shared Web Part

5. Click Modify Shared Web Part.

The applicable CaseMap panel now displays to the right.

6. In the CaseMap panel, make the modifications you need, then click Apply.
· Click the Apply button to view your changes without closing the pane.
· Click OK to save your changes and close the pane.

To customize spreadsheet data display, see Customizing data display.

The updated case spreadsheet data you specified now displays in the CaseMap web part.

7. Click the Publish button [image] to publish this data on the case page so case staff can view it.

Related Topics

Customizing data display

Deleting web parts

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


Deleting web parts
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

Deleting a web part permanently removes it and the data associated with it from displaying on the case page. If you want to display the same web part and data again, you will need to configure the data again in the web part zone and publish it to the site page.

To delete a web part
1. Open the CaseMap SharePoint Web Parts site.
2. Click on the case tab for which you want to delete a web part.
3. Click on the Site Actions button [image] in the upper right corner and then click Edit Page.
4. On the Edit Content page, locate the web part you want to delete.
5. In the web part, click the Edit button and then click Delete.

Edit > Modify Shared Web Part

6. In the message box, click OK to delete the web part.
7. On the SharePoint toolbar, click the Publish button [image] to update the view for this case page.

The selected web part no longer displays.

Related Topics

Customizing data display

Modifying a web part

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


About CaseMap Server Development
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The CaseMap Server programming environment consists of six REST methods exposed using the Windows Communication Foundation (WCF). The methods allow a client application to access basic data retrieval capabilities, such as the ability to view CaseMap spreadsheet data and get a list of users in a case.

The following topics describe how to get started with CaseMap Server development:

Topic | Description
What you need to know | What you likely need to know before reading any further into the documentation.
About the CaseMap Server programming documention | A summary of the main sections of the programming documentation, and what order they should be read in.
About the CaseMap Server API | Summaries the way the CaseMap Server API is organized.
About authentication | Overview of the authentication security features built into the CaseMap Server REST API.
Tutorial: What's the version, CaseMap? | Shows two different ways to retrieve information from CaseMap Server: either directly through a browser, or programmatically.


What you need to know
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

In order to successfully develop an application using the CaseMap Server API, you must have knowledge in two areas: CaseMap Server itself, WCF. You may also find it useful to be familiar with C#.

· CaseMap

Currently, the CaseMap REST API allows you to retrieve CaseMap spreadsheet data. Therefore, you should have a basic understanding of how to use and administer CaseMap itself before you attempt to write an application that uses these features.

· Windows Communication Foundation (WCF)

WCF is a Microsoft technology that allows an application to expose a programming interface on a network. CaseMap Server uses WCF to expose the entire API. Therefore, you should have a basic understanding of WCF features, such as endpoints and how to make a basic client call. Knowledge of advanced WCF features may be useful, but is not necessary to interact with the API. For more information, see Microsoft's WCF documentation.

Note that the CaseMap Server development documentation is written using C#. This includes all the code samples and procedural steps. However, you are not required to program in this language: WCF allows you to make calls to exposed resources in a variety of languages. However, it will likely be easier for you to understand the documentation if you are familiar with C#.


About the CaseMap Server programming documention
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The documentation is divided up into two sections:

· Getting Started

A quick summary of the documentation (including this topic), as well as links to other parts of the documentation. If you have never written an application for CaseMap Server, you should start here.

· Programming Reference

Includes topics on URI structure, REST verbs, as well as a discussion of request and response headers. The REST API reference contains six methods, mostly addressing how to download and view spreadsheet data. Once you have read through the Getting Started sections, you should be able to understand any page in the reference. Note that although you can write an application that interacts with CaseMap Server in a variety of scripting languages, the reference is written in C#.


About the CaseMap Server API
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The current version of the CaseMap Server API uses WCF to expose two services: CMServerAD, and CMServerLA. These two services allow you to retrieve the various cases, users, views, and spreadsheet data currently available on the server. The two services differ only in their authentication protocol.

· CMServerAD - Exposes a REST endpoint that is authenticated using Active Directory.
· CMServerLA - Exposes a REST endpoint that uses Local Authentication.

Before you use these services however, you must confirm that you have the appropriate permissions to access the server. For more information, see About the CaseMap Server programming documention.


About authentication
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

You can use either Active Directory or Local Authentication protocols to access CaseMap Server REST endpoints. CaseMap Server exposes these protocols through the CaseMapAD and CaseMapLA services.

Regardless of which service you choose to use, the information you retrieve will be the same. Also, CaseMap server does not use sessions; instead, your call is authenticated each time you make a call.

Active Directory

To use Active Directory authentication, make all your calls to the /CaseMapAD/CMServerAD/ resource. Note that your user account must have Active Directory permissions on the server. If you have the appropriate permissions, the server will automatically authenticate you.

Example: http://localhost/CaseMapAD/CMServerAD/version

Local Authentication

To use Local Authentication, make all your calls to the /CaseMapLA/CMServerLA/ resource. When using Local Authentication, the operating system will query you for the name and password of a local admin account.

Example: http://localhost/CaseMapLA/CMServerLA/version


Tutorial: What's the version, CaseMap?
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • Show/hide hidden content in this topic Show/Hide Hidden Content

CaseMap Server currently expsoses the CMServerAD service. This service exposes CaseMap Server version, case, fact, and issue information using a series of REST-based resources. You can query the service using either your browser, or programmatically. The following tutorials show how to retrieve the CaseMap Server version numbers using both paths.

To retrieve the version number of CaseMap Server using a browser

Paste the following URL into your browser address window, replacing "localhost" with the location of your CaseMap server, and press Enter.

http://localhost/CaseMapAD/CMServerAD.svc/version/
To retrieve the version number of CaseMap Server programmatically
1. In Visual Studio, add the following using statements to your code:

using System.IO;

using System.Net;

using System.Web;

using System.Xml;

using System.Xml.XPath;

2. Create the end point that describes the version resource.

string serverResource = "http://localhost";

string resourceName = "/CaseMapAD/CMServerAD.svc/version";

string endPoint = serverResource + resourceName;

If necessary, replace "localhost" with the URL of your CaseMap Server installation.

Note that this code samples uses the Active Directory authentication (CaseMapAD). You could optionally use local authentication, by calling /CaseMapLA/CMServerLA.svc instead. Both services provide the same data: the difference is simply which authentication protocol is used. For more information, see About authentication.

3. Create the call to the server.

HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

request.Method = "GET";

4. send the response and display the returned content.

HttpWebResponse response = request.GetResponse() as HttpWebResponse;

DisplayMessage(response);

Console.ReadLine();

DisplayMessage is a helper function you can use to display REST mesponses to the console. For more information, see CaseMap Server Helper Methods.

5. Close down the connection.

response.Close();


CaseMap Server Programming Reference
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The following topics contain reference information on CaseMap Server.

Topic | Description
About URI Structure | The structure of the URI's used in a call to CaseMap Server.
About verbs | The four verbs (GET, SET, PUT, DELETE) used by CaseMap Server.
About request headers | The request headers a client application can send to CaseMap Server.
About response headers | The response headers sent by CaseMap Server.
CaseMap REST API | The API reference for CaseMap Server.


About URI Structure
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The CaseMap Server API is structured around making REST calls to resources stored on a server. The location of CaseMap Server resources are declared using a URI, which adheres to the following pattern:

Resource Content:

<ServerResource>/[<service>/[<type>/[<resource ID>]]][?<query>][#<fragment>]

The following table describes the elements of a CaseMap Server URI:

Element

Description

/ (Root)

Lists available services; the root also contains the properties of the service host.

Example: http://localhost/CaseMapAD/

<service>

Uniquely identifies a service on a service host.

Example: http://localhost/CaseMapAD/CMServerAD.svc/

<type>

Uniquely identifies the target resource type within a service.

Example: http://localhost/CaseMapAD/CMServerAD.svc/cases/

<resourceID>

The GUID of the resource.

Example: http://localhost/CaseMapAD/CMServerAD.svc/cases/case-6/data

? <query>

Optional constraint used to filter or narrow the selection of a resource or a collection of resources.

Example: http://localhost/CaseMapAD/CMServerAD.svc/cases/case-6/data/facts/?recordCount=5&startingRecordNumber=5


/ (Root)
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Lists the services provided by Lambchop6

the service host.

Syntax

<serverResource>

Remarks

When accessed via a browser (and with the appropriate permissions), CaseMap Server returns the root folder of the website, which contains the following list of supported services, the licence, readme, and the Web.config file.

Service | Description
CMServerAD.svc | Active directory REST endpoint for CaseMap Server. CMServerAD and CMServerLA both support the REST calls described in this guide. For more information, see About authentication.
CMServerAdmin.svc | SOAP endpoint for the the CaseMap Server Administration console. For more information, see Accessing the CaseMap Admin Console.
CMServerClient.svc | SOAP endpoint for CaseMap Server client applications, such as CaseMap.
CMServerLA.svc | Local authentication REST endpoint for CaseMap Server. CMServerLA and CMServerAD both support the REST calls described in this guide. For more information, see About authentication.

Examples

The following example requests a list of provided services from the specified server.

GET http://localhost/CaseMapAD/

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


<service>
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Currently not supported.

Syntax

<ServerResource>/<service>

Remarks

Some REST-based services support calling the service directly; in doing so they can return information about the service, such as the names and location of various resources. However, CaseMap Server does not currently support directly calling the CMServerAD or CMServerLA services themselves. However, the service does support a number of endpoints, such as CMServerAD.svc/version or CMServerLA.svc/cases.

Supported Methods

This level of the URI is not directly supported by any method.

Examples

If CaseMap Server did support a method at this level, the call would likely appear as the following:

GET http://localhost/CaseMapAD/CMServerAD.svc/


<type>
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Describes one of the objects available as a location under a service.

Syntax

<ServerResource>/<service>/<type>

Remarks

Types roughly correspond to objects in database or object-oriented programming. for example, a case, view, or fact is considered a type.

A caller must be authenticated to make a successful GET request on a type. If the caller is authenticated, the list of resources returned to the caller will include only the resources the caller is permitted to access. If the caller is not authenticated, only the list of resources available to anonymous callers will be returned; if the caller must be authenticated, the relevant status code will be returned.

For CaseMap Server, authentication is provided by either local authentication (through CMServerLA.svc), or else through Active Directory (through CMServerAD.svc).

Supported Methods

The following table describes the types currently available for each service.

Service | Available Type
CMServerAD or CMServerLA | Version Info Cases Views Users Data {Spreadsheet-Name} Issues-Outline

Examples

The following example returns a list of all of the resources of the <cases> type, as described in GET get-cases.

GET http://localhost/CaseMapAD/CMServerAD.svc/cases/


<resourceID>
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Uniquely identifies a resource within a service. The <resource ID> contains all the information that is needed by the service to discover the resource type and scoping, as well as the resource itself.

Syntax

<ServerResource>/[<service>/[<type>/[<resource ID>]]]

Remarks

The <resource ID> has the following structure:

{<type name>-<instance identifier>}
· The <type name> is the singular form of the resource type that is not qualified by the service name. For example, if the resource type is specified by "/CMServerAD/cases", the <type name> is "case".
· The <instance identifier> is the unique identifier of the resource within the resource scoping. The <instance identifier> is in general a UUID, but may be something else (such as a friendly name or integer) in the case of legacy data.

Supported Methods and Examples

The following sections describe the <resource ID> naming convention for each type, as well as associated examples for each.

Universal Identifier (Uid) | Description
caseID | Identifies a case. Syntax: case-{integer} Comments: CaseMap assigns each case a unique number upon creation. The integer is an increase from the previous created case. You can retrieve the caseID from GET get-cases. Example: http://localhost/CaseMapAD/CMServerAD.svc/cases/case-6/views/?userId=3
userID | Identifies a user. Syntax: userId-{integer} Comments: CaseMap assigns each user a unique number upon creation. The integer is an increase from the previous created user. You can retrieve the userID values with GET get-case-users. Example: http://localhost/CaseMapAD/CMServerAD.svc/cases/case-6/views/?userId=3


? <query>
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

An option that constrains or filters to narrow the selection of a resource or a collection of resources.

Syntax

<ServerResource>/[<service>/[<type>/[<resource ID>]]][?<query>]

Remarks

When applied to content, the <query> may specify constraints such as a search pattern or another selection criterion.

In addition to directly constraining the content or properties, the <query> may be used to constrain or filter factors that are external to the URI but are used by the method. For example, the <query> may constrain the effect of the method to a specific authenticated caller or callers. A <query> may be thought of as extra “parameters” to the method being invoked using the URI.

The query component contains non-hierarchical data that, along with data in the path component, serves to identify a resource within the scope of the URI's scheme and naming authority (if any). The query component is indicated by the first question mark ("?") character and terminated by a number sign ("#") character or by the end of the URI.

The characters slash ("/") and question mark ("?") may represent data within the query component.

For an example of a query syntax, see the Parameters section on the following API reference pages, as listed in the Supported Methods section, below.

Supported Methods

The following table describes the methods that use queries in CaseMap Server.

Service | Available Type
CMServerAD CMServerLA | GET get-case-views GET get-case-facts GET get-case-issues

Examples

Request Example

The following request retrieves a query result from case-6, as described in the example section of GET get-case-facts.

GET http://localhost/CaseMapAD/CMServerAD/cases/case-6/data/facts/?recordCount=5&startingRecordNumber=5


About Verbs
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Verbs are the basic commands that a client application sends to CaseMap Server as part of a request. In general, a verb is sent as part of the request.Method header. Currently, the API supports only the GET verb, as described in the following topic.

Verb | Description
GET | Retrieves information from the specified resource.
PUT | Updates a resource, or if unavailable creates the new resource.
POST | Creates a new resource.
DELETE | Deletes the specified resource.


GET
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves whatever information (in the form of an entity) is identified by the Request-URI.

Remarks

Generally speaking, a GET represents a request to retrieve information from the server. for example, calling GET on the Request-URI http://ServerNameHere.com/CaseMapAD/CMServerAD.svc/version returns the version information of the service.

If the Request-URI refers to a data-producing process, the server will return the produced data in the response, rather than the source text of the process; the exception would be if the text happens to be the output of the process.

The GET method should not contain entity-body in the request; any request entity-body will be discarded and not processed.

Return Codes

The following table describes the return codes common to GET actions that return information about a single resource, such as GET get-cases.

Status Code | Meaning | Example
200 | The input is valid. | /cases/case-6/data/
401 | The user is unauthorized. | User does not have the correct authorization on their account.
401 | The authorization header contains a locked user ID. | /cases/case-6/data/, when user is locked.
401, WWW-authenticate | The user has no authorization. | The user does not have an Active Directory account on the server.
403 | The user or policy has been denied. | Invalid user token.
404 | The user input is invalid. | /cases/case-$$/data/ /cases/case-0/data/ /cases/case-@@/data/
404 | The URI is in an invalid format. | /cases/case6-61/data/
404 | The specified Resource ID does not exist. | /cases/case-9999/data/, when case 9999 doesn't exist.
404 | The call is missing necessary information. | /cases/case-/data/
404/410 | The resource has been deleted. | /cases/case-6/data/ , when case 6 has been deleted.
405 | The method type does not match up with the call. | Giving DELETE/PUT/POST instead of GET

Supported Methods

The following table describes the GET methods available for each service:

Service | GET methods
CMServerAD | GET get-version-info GET get-cases GET get-case-views GET get-case_data GET get-case-users GET get-case-facts GET get-case-issues

Example

The following is an example of a URI used to retrieve data about a case, as described in the example section of GET get-case_data.

GET http://www.serverRersourceName.com/CMServerAD/cases/case-6/data/


About request headers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

A Request header is a header contained in a request message that a client application sends to a server. These messages contain useful and necessary information about the request. For example, the most common request header you will use in CaseMap Server is the Accept header, which contains a number of parameters for many of the method calls. Other than <Accept>, all other request headers are either optional, auto-generated, or have a default value that is useable by most applications.

The following topics describe the headers you may need to place in a CaseMap Server request.

Header | Required | Description
Accept | No | Restricts what data the client will accept in the response. Used by GET get-case-facts and GET get-case-issues to limit the data returned.
Content-Length | Yes (autogenerated) | The length of content provided by PUT and POST verbs.
Host | Yes (autogenerated) | The host server. Used for logging.
user-agent | Yes (autogenerated) | The user agent. Used for logging.


About response headers
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The following topics discuss the common headers you may find in a response message from CaseMap Server. Currently, all the headers are merely informational, as the current CaseMap Server returns the requested information in the body of the message, rather than in any header.

Header | Description
Cache-Control | The cache control options. For CaseMap Server, this usually indicates that all or part of the response message is intended for a single user and must not be cached by a shared cache. Example: Cache-Control: private
Connection | Options for the connection. For CaseMap Server, this indicates that the connection is not persistent, and that you must request a new connection with each request. Example: Connection: closed
Content-Type | The content MIME type; usually application/xml. Example: Content-Type: application/xml
Content-Length | The length of the body of the message. Always returned. Example: Content-Length: 253
Date | The date of the creation of the message. Example: Date: Mon, 27 Jun 2011 20:32:28 GMT
Server | The Server type and version the message came from. Example: Server: Microsoft-IIS/7.5
X-Asp-Net-Version | The version of ASP.NET used by CaseMap Server. Example: X-Asp-Net-Version: 2.0.502727


CaseMap REST API
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The following topics describe the API exposed by CaseMap Server.

Name | Description
CMServerAD and CMServer Service Reference | Resources for retrieving CaseMap spreadsheet data, including views, data, users, facts, and issues.
CaseMap Server Helper Methods | A series of helper methods used in the code samples to display message information.


CMServerAD and CMServer Service Reference
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

This topic contains API reference material for the CMServerAD and CMServerLA services. Both services return identical data; the difference is which authentication protocol the server uses. For more information, see About authentication.

Name | Description
GET get-version-info | Retrieves the version information of the web layer assembly.
GET get-cases | Retrieves a list of registered cases on the server.
GET get-case-views | Retrieves a collection of of views associated with the specified case.
GET get-case_data | Retrieves a collection of of spreadsheets for the specified case.
GET get-case-users | Retrieves a collection of of users assigned to a specified case
GET get-case-facts | Retrieves a list of facts for the specified spreadsheet.
GET get-case-issues | Retrieves a list of issues for the specified case.


GET get-version-info
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves the version information of the web layer assembly.

To use this action, send a GET request to the /version resource.

In response to a get-version-info request, CaseMap Server returns a <version> element that contains the major, minor, and build version numbers.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/version

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/version

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers.

Parameters

The URL does not contain any parameters.

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
version | Parent element for the response. Type: complex Children: major, minor, build
major | Major version number. Type: int Parent: version Example: 1
minor | Minor version number Type: int Parent: version Example: 6
build | Build number. Type: int Parent: version Example: 71

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. for more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/version HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

C# Example

The following example retrieves the version number of CaseMap Server. The sample takes the server URL as a parameter. The sample also uses the DisplayMessage helper method to display the response message. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerVersion(string serverResource)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/version";

  string endPoint = serverResource + resourceName;

  //create the call

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //send it off and get the response.

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the response

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 21:49:42 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 199

Connection: Close

<version xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <major>1</major>

 <minor>6</minor>

 <build>71</build>

</version>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


GET get-cases
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves a list of registered cases on the server.

To use this action, send a GET request to the /cases/ resource.

In response to a get-cases request, CaseMap Server returns a <caseSummaries> element. This collection contains the client matter number, the description, the ID, and the case name for each case on the server.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/cases/

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/cases/

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers.

Parameters

The URL does not contain any parameters.

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
caseSummaries | Parent element for the resonse; contains a collection of case summaries. Type: complex Children: caseSummary
caseSummary | Case summary for one case. Type: complex Parent: caseSummaries Children: clientMatterNumber, id, name
clientMatterNumber | The client matter number. Type: int Parent: caseSummary Example: 1234
id | ID number Type: int Parent: caseSummary Example: 5678
name | Friendly name of the case. Type: string Parent: caseSummary Example: CMCase

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. for more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/cases/ HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

C# Example

The following example retrieves a list of all cases on the specified server. The sample takes the server URL as a parameter. The sample also uses the DisplayMessage helper method to display the response. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerCaseViews(string serverResource)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/cases";

  string endPoint = serverResource + resourceName;

  //create the call and add in the authorization token

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //send it off and get the returned list.

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the list

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 22:04:08 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 386

Connection: Close

<caseSummaries xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <caseSummary>

   <clientMatterNumber>1234</clientMatterNumber>

   <description>5678</description>

   <id>1</id>

   <name>CMCase</name>

 </caseSummary>

 <caseSummary>

   <clientMatterNumber/>

   <description/>

   <id>6</id>

   <name>Hawkins</name>

 </caseSummary>

</caseSummaries>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


GET get-case-views
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves a collection of of views associated with the specified case.

To use this action, send a GET request to the /cases/{caseID}/views/ resource.

In response to a get-case-views request, CaseMap Server returns a <views> element. This collection contains the data type ID, ID, and name of all the views associated with the case. You can optionally limit the response to a particular user or data type, using the optional query parameters.

A view is a set of fields and sorting information for a particular spreadsheet.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/cases/{caseID}/views/?userId={userID}&dataTypeId={dataTypeID}

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/cases/{caseID}/views/?userId={userID}&dataTypeId={dataTypeID}

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers.

Parameters

The URL contains the caseID. In addition, the query string contains the following search values:

Value | Description
userId | (optional) ID number of the user to retrieve the spreadsheet views for. Example: 3
dataTypeId | (optional) Type of data to retrieve. This integer value is returned in the ID element by GET get-case_data. Example: 1

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
views | Parent element of the response; contains a collection of view objects. Type: complex Children: view
view | Description of a view the user has. Type: complex Parent: views Children: dataTypeId, id, name
dataTypeId | Data type ID. If the dataTypeId URL parameter was used to limit the search, this element will be the same for all views. Type: int Parent: view Example: 3
id | The ID of the view Type: int Parent: view Example: 59228293
name | The name of the view. Type: string Parent: view Example: Document - Favorite

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. For more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/cases/case-6/views/?userId=3 HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

C# Example

The following example retrieves the case views from the specified CaseMap Server. The sample takes the server URL, case number and userID as a parameter. The sample also uses the DisplayMessage helper method to display the response message. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerCaseViews(string serverResource, string caseID, string userID)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/cases/" + caseID + "/views/?userId=" + userID;

  string endPoint = serverResource + resourceName;

  //create the call and add in the authorization token

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //send it off and get the returned list.

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the list

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 22:20:34 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 2474

Connection: Close

<views xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <view>

   <dataTypeId>6</dataTypeId>

   <id>59228293</id>

   <name>Document - Favorite</name>

 </view>

 <view>

   <dataTypeId>18</dataTypeId>

   <id>164510641</id>

   <name>Favorite</name>

 </view>

 <view>

   <dataTypeId>8</dataTypeId>

   <id>206474897</id>

   <name>Event - Favorite</name>

 </view>

 <view>

   <dataTypeId>10</dataTypeId>

   <id>445172537</id>

   <name>Pleading - Favorite</name>

 </view>

 <view>

   <dataTypeId>18</dataTypeId>

   <id>484203523</id>

   <name>Most Fields</name>

 </view>

 <view>

   <dataTypeId>12</dataTypeId>

   <id>506016688</id>

   <name>Other Discovery - Favorite</name>

 </view>

 <view>

   <dataTypeId>5</dataTypeId>

   <id>541528399</id>

   <name>Organization - Favorite</name>

 </view>

 <view>

   <dataTypeId>2</dataTypeId>

   <id>571339841</id>

   <name>Jury Instructions</name>

 </view>

 <view>

   <dataTypeId>11</dataTypeId>

   <id>720547300</id>

   <name>Proceeding - Favorite</name>

 </view>

 <view>

   <dataTypeId>1</dataTypeId>

   <id>866746305</id>

   <name>Favorite</name>

 </view>

 <view>

   <dataTypeId>15</dataTypeId>

   <id>868748177</id>

   <name>Assigned To</name>

 </view>

 <view>

   <dataTypeId>19</dataTypeId>

   <id>882473373</id>

   <name>Most Fields</name>

 </view>

 <view>

   <dataTypeId>2</dataTypeId>

   <id>1105810968</id>

   <name>Demonstrative Evidence Analysis</name>

 </view>

 <view>

   <dataTypeId>2</dataTypeId>

   <id>1200365318</id>

   <name>Favorite</name>

 </view>

 <view>

   <dataTypeId>4</dataTypeId>

   <id>1363887205</id>

   <name>Person - Favorite</name>

 </view>

 <view>

   <dataTypeId>13</dataTypeId>

   <id>1386622048</id>

   <name>Demonstrative Evidence - Favorite</name>

 </view>

 <view>

   <dataTypeId>1</dataTypeId>

   <id>1474848196</id>

   <name>Date, Fact and Source</name>

 </view>

 <view>

   <dataTypeId>14</dataTypeId>

   <id>1574936314</id>

   <name>Other Object - Favorite</name>

 </view>

 <view>

   <dataTypeId>4</dataTypeId>

   <id>1617081878</id>

   <name>Person - Address/Phone</name>

 </view>

 <view>

   <dataTypeId>9</dataTypeId>

   <id>1674014038</id>

   <name>Place - Favorite</name>

 </view>

 <view>

   <dataTypeId>3</dataTypeId>

   <id>1704210468</id>

   <name>All Object Types - Favorite</name>

 </view>

 <view>

   <dataTypeId>15</dataTypeId>

   <id>1800626038</id>

   <name>Favorite</name>

 </view>

 <view>

   <dataTypeId>7</dataTypeId>

   <id>1884578000</id>

   <name>Other Physical Evidence - Favorite</name>

 </view>

 <view>

   <dataTypeId>19</dataTypeId>

   <id>1885741421</id>

   <name>Favorite</name>

 </view>

 <view>

   <dataTypeId>5</dataTypeId>

   <id>2040184350</id>

   <name>Organization - Address/Phone</name>

 </view>

 <view>

   <dataTypeId>6</dataTypeId>

   <id>2118863299</id>

   <name>Trial Exhibit List</name>

 </view>

</views>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


GET get-case-users
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves a collection of of users assigned to a specified case

To use this action, send a GET request to the /cases/{caseID}/users resource.

In response to a get-case-users request, CaseMap Server returns a <userSummaries> element. This collection contains the first name, ID, last name, and user name of each user assigned to the case.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/{caseID}/users/

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/{caseID}/users/

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers.

Parameters

The URL contains the caseID.

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
userSummaries | Parent element for the response, and collection of user summary elements. Type: complex Children: userSummary
userSummary | Summary of a single user Type: complex Parent: userSummaries Children: emailAddress, firstName, id, lastName, userName
emailAddress | email address. Type: string Parent: userSummary Example: testuser@lexisnexis.com
firstName | First name of the user. Type: string Parent: userSummary Example: Testaccount
id | ID of the user. Type: int Parent: userSummary Example: 6
lastName | Last name of the user. Type: string Parent: userSummary Example: Userperson
userName | Account name of the user. Type: string Parent: userSummary Example: test_user

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. For more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/case-6/users/ HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

C# Example

The following example retrieves the users of a specified case from the specified CaseMap Server. The sample takes the server URL and case ID as parameters. The sample also uses the DisplayMessage helper method to display the response message. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerCaseUsers(string serverResource, string caseID)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/case/" + caseID + "/users/";

  string endPoint = serverResource + resourceName;

  //create the call and add in the authorization token

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //send it off and get the returned list.

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the list

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 22:10:26 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 647

Connection: Close

<userSummaries xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <userSummary>

   <emailAddress/>

   <firstName>Test User 1</firstName>

   <id>3</id>

   <lastName>Prapin</lastName>

   <userName>pap_user_1</userName>

 </userSummary>

 <userSummary>

   <emailAddress/>

   <firstName>Test User 3</firstName>

   <id>6</id>

   <lastName>Prapin</lastName>

   <userName>pap_user_3</userName>

 </userSummary>

</userSummaries>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


GET get-case-data
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves a collection of of spreadsheets for the specified case.

To use this action, send a GET request to the /cases/{caseID}/data resource.

In response to a get-case-data request, CaseMap Server returns a <data> element. This collection contains the location, display sequence, ID, as well as the plural and singular names of the spreadsheet.

Common spreadsheets include the Facts, Issues, and Persons spreadsheets.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/cases/{caseID}/data

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/cases/{caseID}/data

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers.

Parameters

The URL contains the caseID.

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
data | Parent element for the response; contains a collection of spreadsheet descriptions. Type: complex Children: dataItem
dataItem | Description of a spreadsheet. Type: complex Parent: data Children: location, id, namePlural, nameSingluar
location | Relative path of the spreadsheet. Type: string Parent: data Example: /cases/case-6/data/facts
displaySequence | Sequence the spreadsheet is in the display. Type: int Parent: data Example: 1
id | Data ID. This value can be used in calls to GET get-case-views to limit the types of data returned. Type: int Parent: data Example: 1
namePlural | Plural name of the spreadsheet Type: string Parent: data Example: Issues
nameSingluar | Singular name of the spreadsheet. Type: string Parent: data Example: Issue

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. for more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/cases/case-6/data/ HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

C# Example

The following example retrieves the case data from the specified CaseMap Server. The sample takes the server URL and case ID as parameters. The sample also uses the DisplayMessage helper method to display the response message. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerCaseData(string serverResource, string caseID)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/case/" + caseID + "/data/";

  string endPoint = serverResource + resourceName;

  //create the call and add in the authorization token

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //send it off and get the returned list.

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the list

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 22:14:00 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 3721

Connection: Close

<data xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <dataItem>

   <location>/cases/case-6/data/facts</location>

   <displaySequence>1</displaySequence>

   <id>1</id>

   <namePlural>Facts</namePlural>

   <nameSingular>Fact</nameSingular>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/issues</location>

   <displaySequence>2</displaySequence>

   <id>2</id>

   <namePlural>Issues</namePlural>

   <nameSingular>Issue</nameSingular>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/all-objects</location>

   <displaySequence>3</displaySequence>

   <id>3</id>

   <namePlural>All Objects</namePlural>

   <nameSingular>All Objects</nameSingular>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/persons</location>

   <displaySequence>4</displaySequence>

   <id>4</id>

   <namePlural>Persons</namePlural>

   <nameSingular>Person</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/organizations</location>

   <displaySequence>5</displaySequence>

   <id>5</id>

   <namePlural>Organizations</namePlural>

   <nameSingular>Organization</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/documents</location>

   <displaySequence>6</displaySequence>

   <id>6</id>

   <namePlural>Documents</namePlural>

   <nameSingular>Document</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/other-physical-evidence</location>

   <displaySequence>7</displaySequence>

   <id>7</id>

   <namePlural>Other Physical Evidence</namePlural>

   <nameSingular>Other Physical Evidence</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/events</location>

   <displaySequence>8</displaySequence>

   <id>8</id>

   <namePlural>Events</namePlural>

   <nameSingular>Event</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/places</location>

   <displaySequence>9</displaySequence>

   <id>9</id>

   <namePlural>Places</namePlural>

   <nameSingular>Place</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/pleadings</location>

   <displaySequence>10</displaySequence>

   <id>10</id>

   <namePlural>Pleadings</namePlural>

   <nameSingular>Pleading</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/proceedings</location>

   <displaySequence>11</displaySequence>

   <id>11</id>

   <namePlural>Proceedings</namePlural>

   <nameSingular>Proceeding</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/other-discovery</location>

   <displaySequence>12</displaySequence>

   <id>12</id>

   <namePlural>Other Discovery</namePlural>

   <nameSingular>Other Discovery</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/demonstrative-evidence</location>

   <displaySequence>13</displaySequence>

   <id>13</id>

   <namePlural>Demonstrative Evidence</namePlural>

   <nameSingular>Demonstrative Evidence</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/other-objects</location>

   <displaySequence>14</displaySequence>

   <id>14</id>

   <namePlural>Other Objects</namePlural>

   <nameSingular>Other Object</nameSingular>

   <parentID>3</parentID>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/questions</location>

   <displaySequence>15</displaySequence>

   <id>15</id>

   <namePlural>Questions</namePlural>

   <nameSingular>Question</nameSingular>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/authorities</location>

   <displaySequence>16</displaySequence>

   <id>18</id>

   <namePlural>Authorities</namePlural>

   <nameSingular>Authority</nameSingular>

 </dataItem>

 <dataItem>

   <location>/cases/case-6/data/extracts-from-authorities</location>

   <displaySequence>17</displaySequence>

   <id>19</id>

   <namePlural>Extracts from Authorities</namePlural>

   <nameSingular>Authority Extract</nameSingular>

 </dataItem>

</data>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


GET get-case-{spreadsheet-name}
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves data from the specified spreadsheet.

To use this action, send a GET request to the /cases/{caseID}/data/{spreadsheet-name}/ resource. You identify both the view and name format options in the Accept header.

In response to a get-case-{spreadsheet-name} request, CaseMap Server returns a <data> element, which contains the starting record number, the record number, total record number, and an XML representation of a .NET table object. If Page and PageSize are not specified, all records are returned. Optionally, a view and format of object names may be specified via the Accept header. Object names may be Full or Short. If not specified, short names will be returned.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/cases/{caseID}/data/facts/?recordCount={recordCount}&startingRecordNumber={recordNumber}

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/cases/{caseID}/data/facts/?recordCount={recordCount}&startingRecordNumber={recordNumber}

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers. In addition, the method uses the Accept header to define the limits on the search query, as described in the following table.

Name

Description

Accept

Contains a number of limits on the search query.

Type: string

Name

Description

nameFormat

(optional) format for the name elements. Must be one of the following:

· full
· short

The default value is short.

viewID

(optional) ID of the spreadsheet view to retrieve. The view controls both the fields included and the sort order of the records. The default is to return all non-virtual fields and sort the records by record ID.

Example: Accept: nameFormat=full;viewId=1474848196

Parameters

The URL contains the caseID. In addition, the query string contains the following parameters:

Name | Description
recordCount | The record count. Example: 5
startingRecordNumber | Starting record Number Example: 3
PageSize&PageNum | (Optional) Paging support to return the number of records in each call Example: http://server:port/servicename.svc/cases/{case-[ID]}/data/facts?pagesize=[PGSIZE]&page=[PGNUM]#viewid=[ID]

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
data | parent element for the response Type: complex Children: startingRecordNumber, recordCount, totalRecordCount, tableData
startingRecordNumber | The starting record number. Type: int Parent: data Example: 5
recordCount | Number of records returned Type: int Parent: data Example: 5
totalRecordCount | Total number of records. Type: int Parent: data Example: 29
tableData | XML representation of a .NET table Type: complex For more information, see the .NET Framework documentation.

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. for more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/cases/case-6/data/facts/?recordCount=5&startingRecordNumber=5 HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

Accept: nameFormat=full;viewId=1474848196

C# Example

The following example retrieves the facts of a specified case from the specified CaseMap Server. The sample takes the server URL, case ID, recordCount, and starting record number as parameters. The sample also uses the DisplayMessage helper method to display the response message. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerCaseFacts(string serverResource, string caseID, string recordCount, string startingRecordNumber)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/case/" + caseID + "/data/facts/?recordCount="

       + recordCount + "&startingRecordNumber=" + startingRecordNumber;

  string endPoint = serverResource + resourceName;

  //create the call

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //add in the additional header values

   request.Accept = "nameFormat=full;viewId=1474848196";

  //send it off and get the response

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the list

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 22:40:10 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 6537

Connection: Close

<data xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <startingRecordNumber>5</startingRecordNumber>

 <recordCount>5</recordCount>

 <totalRecordCount>29</totalRecordCount>

 <tableData>

   <xs:schema id="NewDataSet" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">

     <xs:element name="NewDataSet" msdata:IsDataSet="true" msdata:MainDataTable="facts" msdata:UseCurrentLocale="true">

       <xs:complexType>

         <xs:choice minOccurs="0" maxOccurs="unbounded">

           <xs:element name="facts">

             <xs:complexType>

               <xs:sequence>

                 <xs:element name="F0" msdata:Caption="ID" type="xs:int"/>

                 <xs:element name="F1" msdata:Caption="Date &amp; Time" minOccurs="0">

                   <xs:simpleType>

                     <xs:restriction base="xs:string">

                       <xs:maxLength value="40"/>

                     </xs:restriction>

                   </xs:simpleType>

                 </xs:element>

                 <xs:element name="F2" msdata:Caption="Fact Text" minOccurs="0">

                   <xs:simpleType>

                     <xs:restriction base="xs:string">

                       <xs:maxLength value="2147483647"/>

                     </xs:restriction>

                   </xs:simpleType>

                 </xs:element>

                 <xs:element name="F3" msdata:Caption="Source(s)" minOccurs="0">

                   <xs:simpleType>

                     <xs:restriction base="xs:string">

                       <xs:maxLength value="2147483647"/>

                     </xs:restriction>

                   </xs:simpleType>

                 </xs:element>

               </xs:sequence>

             </xs:complexType>

           </xs:element>

         </xs:choice>

       </xs:complexType>

     </xs:element>

   </xs:schema>

   <diffgr:diffgram xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">

     <DocumentElement xmlns="">

       <facts diffgr:id="facts1" msdata:rowOrder="0">

         <F0>1038690095</F0>

         <F1>2003-12-01</F1>

         <F2>Philip Hawkins promoted to Anstar Biotech Industries VP of Sales.</F2>

         <F3>InterviewNotes</F3>

       </facts>

       <facts diffgr:id="facts2" msdata:rowOrder="1">

         <F0>774696773</F0>

         <F1>2004-01-09 to 2004-01-21</F1>

         <F2>Philip Hawkins negotiates draft Hawkins Employment Agreement with William Lang.</F2>

         <F3>Hawkins Employment Agreement</F3>

       </facts>

       <facts diffgr:id="facts3" msdata:rowOrder="2">

         <F0>1461490321</F0>

         <F1>2004-02-??</F1>

         <F2>William Lang tells Philip Hawkins that he has changed his mind regarding the Hawkins Employment Agreement.  It is not in force as it was never signed and changes were not finalized.</F2>

         <F3>Philip Hawkins, Deposition of William Lang, 11:3.</F3>

       </facts>

       <facts diffgr:id="facts4" msdata:rowOrder="3">

         <F0>383478900</F0>

         <F1>2004-03-??</F1>

         <F2>Susan Sheridan has dinner with Linda Collins and complains about Anstar Biotech Industries management.</F2>

         <F3>Deposition of Linda Collins, 33:15.</F3>

       </facts>

       <facts diffgr:id="facts5" msdata:rowOrder="4">

         <F0>1902624760</F0>

         <F1>2005-05-11</F1>

         <F2>Philip Hawkins receives Hawkins Performance Review from William Lang.  Is rated a 1 "Outstanding Performer."</F2>

         <F3>Hawkins Performance Review</F3>

       </facts>

     </DocumentElement>

   </diffgr:diffgram>

 </tableData>

</data>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


GET get-case-issues-outline
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Description

Retrieves a list of issues for the specified case.

To use this action, send a GET request to the /cases/{caseID}/data/issues resource. You specify the outline format option in the Accept header.

In response to a get-case-issues request, CaseMap Server returns an <issues> element. This collection contains a description of all the issues in the the case, including ID, name, outline number, short name, and any subissues.

Requests

Syntax

GET {ServerNameHere}/CaseMapAD/CMServerAD/cases/{caseID}/data/

or

GET {ServerNameHere}/CaseMapLA/CMServerLA/cases/{caseID}/data/

Headers

The request includes the GET, User-Agent, and Host headers, which are standard for all CaseMap Server requests. For more information, see About request headers. In addition, the Accept header can contain the following information:

Name

Description

Accept

Contains the formatting and spreadsheet (viewID) information

Type: string

Name

Description

nameFormat

(Optional) format for the name. Must be one of the following:

· full
· short

The default value is full.

view

(Optional) Type of view to retrieve. Must be one of the following:

· outline

If this is ommitted, the issue data is returned the same way as any other spreadsheet.

Example: Accept: view=outline;nameFormat=short

Parameters

The URL contains the caseID.

Content

The request does not contain any elements in the body.

Responses

Headers

The response includes the headers common to all CaseMap Server responses. For more information, see About response headers.

Content

Name | Description
issues | Parent element for the response; contains a collection of issue elements. Type: complex Children: issue
issue | Description of a single issue. Type: complex Parent: issues Children: id, name, outlineNumber, shortName, subIssues
id | ID of the issue. Type: int Parent: issue Example: 1769765926
name | Name of the issue Type: string Parent: issue Example: Wrongful Termination
outlineNumber | Outline number. Type: int Parent: issue Example: 1
shortName | The short name of the issue Type: string Parent: issue Example: WrongfulTermination
subIssues | Additional issues organized under the current issue Type: complex Parent: issue Children: issue

Status Codes

Returns 200 on a valid response. Otherwise, returns one of the common status codes. for more information, see GET.

Examples

Request Example

The following requests the version information.

GET /CMServerAD/cases/case-6/data/issues/ HTTP/1.1

User-Agent: Fiddler

Host: localhost:3952

Accept: view=outline

C# Example

The following example retrieves the issues of a specified case from the specified CaseMap Server. The sample takes the server URL and case ID as parameters. The sample also uses the DisplayMessage helper method to display the response message. For more information on the helper methods, see CaseMap Server Helper Methods.

public static void getServerCaseIssues(string serverResource, string caseID, string recordCount, string startingRecordNumber)

{

  //define the resource and the endpoint

  string resourceName = "/CaseMapAD/CMServerAD.svc/case/" + caseID + "/data/issues/

  string endPoint = serverResource + resourceName;

  //create the call

  HttpWebRequest request = WebRequest.Create(endPoint) as HttpWebRequest;

   request.Method = "GET";

  //add in the additional header values

   request.Accept = "view=outline;nameFormat=short";

  //send it off and get the response

  HttpWebResponse response = request.GetResponse() as HttpWebResponse;

  //display the list

   DisplayMessage(response);

  Console.ReadLine();

   response.Close();

}

Response Example

The following is a response to the request in the previous example.

HTTP/1.1 200 OK

Server: ASP.NET Development Server/9.0.0.0

Date: Tue, 09 Aug 2011 23:26:18 GMT

X-AspNet-Version: 2.0.50727

Cache-Control: private

Content-Type: application/xml; charset=utf-8

Content-Length: 1895

Connection: Close

<issues xmlns="http://services.lexisnexis.com/xmlschema/litigation-services/casemap/1" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">

 <issue>

   <id>1769765926</id>

   <name>Wrongful Termination</name>

   <outlineNumber>1</outlineNumber>

   <shortName>WrongfulTermination</shortName>

   <subIssues/>

 </issue>

 <issue>

   <id>1554959045</id>

   <name>Age Discrimination</name>

   <outlineNumber>2</outlineNumber>

   <shortName>AgeDiscrimination</shortName>

   <subIssues>

     <issue>

       <id>1982336477</id>

       <name>Hawkins Specific</name>

       <outlineNumber>2.1</outlineNumber>

       <shortName>HawkinsSpecific</shortName>

       <subIssues/>

     </issue>

     <issue>

       <id>1491271512</id>

       <name>Pattern &amp; Practice</name>

       <outlineNumber>2.2</outlineNumber>

       <shortName>Pattern&amp;Practice</shortName>

       <subIssues/>

     </issue>

   </subIssues>

 </issue>

 <issue>

   <id>182509757</id>

   <name>Retaliation</name>

   <outlineNumber>3</outlineNumber>

   <shortName>Retaliation</shortName>

   <subIssues>

     <issue>

       <id>473045427</id>

       <name>Transfer</name>

       <outlineNumber>3.1</outlineNumber>

       <shortName>Transfer</shortName>

       <subIssues/>

     </issue>

     <issue>

       <id>1339773059</id>

       <name>Demotion</name>

       <outlineNumber>3.2</outlineNumber>

       <shortName>Demotion</shortName>

       <subIssues/>

     </issue>

   </subIssues>

 </issue>

 <issue>

   <id>1290855574</id>

   <name>Deserved Termination</name>

   <outlineNumber>4</outlineNumber>

   <shortName>DeservedTermination</shortName>

   <subIssues/>

 </issue>

 <issue>

   <id>323638003</id>

   <name>Damages</name>

   <outlineNumber>5</outlineNumber>

   <shortName>Damages</shortName>

   <subIssues>

     <issue>

       <id>1725246657</id>

       <name>Failure to Mitigate</name>

       <outlineNumber>5.1</outlineNumber>

       <shortName>FailureToMitigate</shortName>

       <subIssues/>

     </issue>

     <issue>

       <id>1666049993</id>

       <name>Lost Wages</name>

       <outlineNumber>5.2</outlineNumber>

       <shortName>LostWages</shortName>

       <subIssues/>

     </issue>

     <issue>

       <id>777908468</id>

       <name>Mental Anguish</name>

       <outlineNumber>5.3</outlineNumber>

       <shortName>MentalAnguish</shortName>

       <subIssues/>

     </issue>

   </subIssues>

 </issue>

</issues>

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.


CaseMap Server Helper Methods
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

The following methods are used in the code samples throughout this reference.

DisplayMethod

This method displays the return codes and XML body of a message. DisplayMethod is used by all methods to display the returned messages.

using System.Xml;

using System.Xml.XPath;

public static void DisplayMessage(HttpWebResponse response)

{

  //Write out the status code number and name

  Console.WriteLine((int)response.StatusCode + " " + response.StatusCode);

  //stream the body of the message into an XML reader.

  XmlTextReader reader = new XmlTextReader(response.GetResponseStream());

  reader.WhitespaceHandling = WhitespaceHandling.None;

  //try to load the XML into an XML doc and display it.

  XmlDocument xd = new XmlDocument();

     try

        {

           xd.Load(reader);

          XmlNode xnodDE = xd.DocumentElement;

           ChildDisplay(xnodDE, 0);

           reader.Close();

         }

      //if anything goes wrong, return.

      catch

         {

            return;

         }

}

private static void ChildDisplay(XmlNode xnod, int level)

{

  XmlNode xnodWorking;

  String pad = new String(' ', level * 2);

  Console.WriteLine(pad + xnod.Name + "(" + xnod.NodeType.ToString() + ": " + xnod.Value + ")");

  if (xnod.NodeType == XmlNodeType.Element)

   {

      XmlNamedNodeMap mapAttributes = xnod.Attributes;

      for (int i = 0; i < mapAttributes.Count; i++)

       {

          Console.WriteLine(pad + " " + mapAttributes.Item(i).Name + " = " + mapAttributes.Item(i).Value);

       }

   }

  if (xnod.HasChildNodes)

   {

       xnodWorking = xnod.FirstChild;

      while (xnodWorking != null)

       {

           ChildDisplay(xnodWorking, level + 1);

           xnodWorking = xnodWorking.NextSibling;

       }

   }

}


User Guides
No contents entries on this page
Go to previous topic
Go to Welcome topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

Content in the CaseMap Server Answer Center is available for download in the Adobe® Acrobat® PDF format.

Installing CaseMap Server

Managing the CaseMap Admin Console

Using the CaseMap SharePoint Web Parts

Developing with CaseMap Server

Release Notes

If you are planning to work offline, you can download a compiled version of the CaseMap Server Answer Center (CMServer.chm file) and save it to a folder on your local computer.

CaseMap Server Compiled Help

For information on how to use CaseMap or TextMap, click on the Help menu in the client application and click Contents.

The CaseMap Answer Center is online here: http://help.lexisnexis.com/litigation/ac/cm/cm11/welcome.htm.


Copyright Information
No contents entries on this page
Go to previous topic
Go to Welcome topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Send feedback on this topic by email Email Feedback

  • No hidden content in this topic Show/Hide Hidden Content

No part of this work may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying, recording, or by any information storage or retrieval system, without permission.

While the information contained herein is believed to be accurate, this work is provided "as is," without warranty of any kind. The information contained in this work does not constitute, and is not intended as, legal advice.

LexisNexis and the Knowledge Burst logo are registered trademarks of Reed Elsevier Inc., used under license. CaseMap is a registered trademark of LexisNexis, a division of Reed Elsevier Inc. Other products or services may be trademarks or registered trademarks of their respective companies.

Copyright © 2015 LexisNexis. All rights reserved.

CaseMap®

CaseMap® Server

TextMap®

TimeMap®

NoteMap®

DepPrep®

Sanction®

Concordance®

Need additional help? Email the CaseMap Support team at: casemap.support@lexisnexis.com, or contact a support representative at 877.301.0344. The CaseMap Support team is available between the hours of 9:00 a.m. to 9:00 p.m. Eastern Time, Monday - Friday.